## binutils-arm64-cross 0.11

=== binutils-2.23.90.20131116/builddir-aarch64-linux-gnu/Makefile ===

# Makefile.in is generated from Makefile.tpl by 'autogen Makefile.def'.
#
# Makefile for directory with subdirs to build.
#   Copyright (C) 1990, 1991, 1992, 1993, 1994, 1995, 1996, 1997, 1998,
#   1999, 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011
#   Free Software Foundation
#
# This file is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING3.  If not see
# <http://www.gnu.org/licenses/>.
#

# First, test for a proper version of make, but only where one is required.


# -------------------------------
# Standard Autoconf-set variables
# -------------------------------
VPATH=..

build_alias=x86_64-linux-gnu
build_vendor=pc
build_os=linux-gnu
build=x86_64-pc-linux-gnu
host_alias=x86_64-linux-gnu
host_vendor=pc
host_os=linux-gnu
host=x86_64-pc-linux-gnu
target_alias=aarch64-linux-gnu
target_vendor=unknown
target_os=linux-gnu
target=aarch64-unknown-linux-gnu

program_transform_name = s&^&aarch64-linux-gnu-&

prefix = /usr
exec_prefix = ${prefix}

srcdir = ..

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${datarootdir}
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
includedir = ${prefix}/include
oldincludedir = /usr/include
infodir = ${datarootdir}/info
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
pdfdir = ${docdir}
htmldir = ${docdir}
mandir = ${datarootdir}/man
man1dir = $(mandir)/man1
man2dir = $(mandir)/man2
man3dir = $(mandir)/man3
man4dir = $(mandir)/man4
man5dir = $(mandir)/man5
man6dir = $(mandir)/man6
man7dir = $(mandir)/man7
man8dir = $(mandir)/man8
man9dir = $(mandir)/man9

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
LN = ln
LN_S = ln -s
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #

# -------------------------------------------------
# Miscellaneous non-standard autoconf-set variables
# -------------------------------------------------

# The gcc driver likes to know the arguments it was configured with.
TOPLEVEL_CONFIGURE_ARGUMENTS=../configure --enable-shared --enable-plugins --prefix=/usr --build=x86_64-linux-gnu --host=x86_64-linux-gnu --with-pkgversion='GNU Binutils for Ubuntu' --with-sysroot=/ --enable-ld=default --enable-gold --target=aarch64-linux-gnu

tooldir = ${exec_prefix}/aarch64-linux-gnu
build_tooldir = ${exec_prefix}/aarch64-linux-gnu

# This is the name of the environment variable used for the path to
# the libraries.
RPATH_ENVVAR = LD_LIBRARY_PATH

# On targets where RPATH_ENVVAR is PATH, a subdirectory of the GCC build path
# is used instead of the directory itself to avoid including built
# executables in PATH.
GCC_SHLIB_SUBDIR = 

# Build programs are put under this directory.
BUILD_SUBDIR = build-x86_64-linux-gnu
# This is set by the configure script to the arguments to use when configuring
# directories built for the build system.
BUILD_CONFIGARGS =  --cache-file=../config.cache '--enable-shared' '--enable-plugins' '--prefix=/usr' '--with-pkgversion=GNU Binutils for Ubuntu' '--with-sysroot=/' '--enable-ld=default' '--enable-gold' --program-transform-name='s&^&aarch64-linux-gnu-&' --disable-option-checking --with-build-subdir="$(BUILD_SUBDIR)"

# Linker flags to use on the host, for stage1 or when not
# bootstrapping.
STAGE1_LDFLAGS = -static-libstdc++ -static-libgcc

# Libraries to use on the host, for stage1 or when not bootstrapping.
STAGE1_LIBS = 

# Linker flags to use for stage2 and later.
POSTSTAGE1_LDFLAGS = -static-libstdc++ -static-libgcc

# Libraries to use for stage2 and later.
POSTSTAGE1_LIBS = 

# This is the list of variables to export in the environment when
# configuring any subdirectory.  It must also be exported whenever
# recursing into a build directory in case that directory's Makefile
# re-runs configure.
BASE_EXPORTS = \
	FLEX="$(FLEX)"; export FLEX; \
	LEX="$(LEX)"; export LEX; \
	BISON="$(BISON)"; export BISON; \
	YACC="$(YACC)"; export YACC; \
	M4="$(M4)"; export M4; \
	SED="$(SED)"; export SED; \
	AWK="$(AWK)"; export AWK; \
	MAKEINFO="$(MAKEINFO)"; export MAKEINFO;

# This is the list of variables to export in the environment when
# configuring subdirectories for the build system.
BUILD_EXPORTS = \
	$(BASE_EXPORTS) \
	AR="$(AR_FOR_BUILD)"; export AR; \
	AS="$(AS_FOR_BUILD)"; export AS; \
	CC="$(CC_FOR_BUILD)"; export CC; \
	CFLAGS="$(CFLAGS_FOR_BUILD)"; export CFLAGS; \
	CONFIG_SHELL="$(SHELL)"; export CONFIG_SHELL; \
	CXX="$(CXX_FOR_BUILD)"; export CXX; \
	CXXFLAGS="$(CXXFLAGS_FOR_BUILD)"; export CXXFLAGS; \
	GCJ="$(GCJ_FOR_BUILD)"; export GCJ; \
	GFORTRAN="$(GFORTRAN_FOR_BUILD)"; export GFORTRAN; \
	GOC="$(GOC_FOR_BUILD)"; export GOC; \
	GOCFLAGS="$(GOCFLAGS_FOR_BUILD)"; export GOCFLAGS; \
	DLLTOOL="$(DLLTOOL_FOR_BUILD)"; export DLLTOOL; \
	LD="$(LD_FOR_BUILD)"; export LD; \
	LDFLAGS="$(LDFLAGS_FOR_BUILD)"; export LDFLAGS; \
	NM="$(NM_FOR_BUILD)"; export NM; \
	RANLIB="$(RANLIB_FOR_BUILD)"; export RANLIB; \
	WINDRES="$(WINDRES_FOR_BUILD)"; export WINDRES; \
	WINDMC="$(WINDMC_FOR_BUILD)"; export WINDMC;

# These variables must be set on the make command line for directories
# built for the build system to override those in BASE_FLAGS_TO_PASSS.
EXTRA_BUILD_FLAGS = \
	CFLAGS="$(CFLAGS_FOR_BUILD)" \
	LDFLAGS="$(LDFLAGS_FOR_BUILD)"

# This is the list of directories to built for the host system.
SUBDIRS =  intl libiberty opcodes bfd binutils gas ld gprof etc
TARGET_CONFIGDIRS = 
# This is set by the configure script to the arguments to use when configuring
# directories built for the host system.
HOST_CONFIGARGS =  --cache-file=./config.cache  --with-gnu-as --with-gnu-ld --with-system-zlib '--enable-shared' '--enable-plugins' '--prefix=/usr' '--with-pkgversion=GNU Binutils for Ubuntu' '--with-sysroot=/' '--enable-ld=default' '--enable-gold' --program-transform-name='s&^&aarch64-linux-gnu-&' --disable-option-checking
# Host programs are put under this directory, which is . except if building
# with srcdir=..
HOST_SUBDIR = .
# This is the list of variables to export in the environment when
# configuring subdirectories for the host system.  We need to pass
# some to the GCC configure because of its hybrid host/target nature.
HOST_EXPORTS = \
	$(BASE_EXPORTS) \
	CC="$(CC)"; export CC; \
	ADA_CFLAGS="$(ADA_CFLAGS)"; export ADA_CFLAGS; \
	CFLAGS="$(CFLAGS)"; export CFLAGS; \
	CONFIG_SHELL="$(SHELL)"; export CONFIG_SHELL; \
	CXX="$(CXX)"; export CXX; \
	CXXFLAGS="$(CXXFLAGS)"; export CXXFLAGS; \
	GCJ="$(GCJ)"; export GCJ; \
	GFORTRAN="$(GFORTRAN)"; export GFORTRAN; \
	GOC="$(GOC)"; export GOC; \
	AR="$(AR)"; export AR; \
	AS="$(AS)"; export AS; \
	CC_FOR_BUILD="$(CC_FOR_BUILD)"; export CC_FOR_BUILD; \
	DLLTOOL="$(DLLTOOL)"; export DLLTOOL; \
	LD="$(LD)"; export LD; \
	LDFLAGS="$(STAGE1_LDFLAGS) $(LDFLAGS)"; export LDFLAGS; \
	NM="$(NM)"; export NM; \
	RANLIB="$(RANLIB)"; export RANLIB; \
	WINDRES="$(WINDRES)"; export WINDRES; \
	WINDMC="$(WINDMC)"; export WINDMC; \
	OBJCOPY="$(OBJCOPY)"; export OBJCOPY; \
	OBJDUMP="$(OBJDUMP)"; export OBJDUMP; \
	READELF="$(READELF)"; export READELF; \
	AR_FOR_TARGET="$(AR_FOR_TARGET)"; export AR_FOR_TARGET; \
	AS_FOR_TARGET="$(AS_FOR_TARGET)"; export AS_FOR_TARGET; \
	GCC_FOR_TARGET="$(GCC_FOR_TARGET)"; export GCC_FOR_TARGET; \
	LD_FOR_TARGET="$(LD_FOR_TARGET)"; export LD_FOR_TARGET; \
	NM_FOR_TARGET="$(NM_FOR_TARGET)"; export NM_FOR_TARGET; \
	OBJDUMP_FOR_TARGET="$(OBJDUMP_FOR_TARGET)"; export OBJDUMP_FOR_TARGET; \
	RANLIB_FOR_TARGET="$(RANLIB_FOR_TARGET)"; export RANLIB_FOR_TARGET; \
	READELF_FOR_TARGET="$(READELF_FOR_TARGET)"; export READELF_FOR_TARGET; \
	TOPLEVEL_CONFIGURE_ARGUMENTS="$(TOPLEVEL_CONFIGURE_ARGUMENTS)"; export TOPLEVEL_CONFIGURE_ARGUMENTS; \
	HOST_LIBS="$(STAGE1_LIBS)"; export HOST_LIBS; \
	GMPLIBS="$(HOST_GMPLIBS)"; export GMPLIBS; \
	GMPINC="$(HOST_GMPINC)"; export GMPINC; \
	ISLINC="$(HOST_ISLINC)"; export ISLINC; \
	CLOOGLIBS="$(HOST_CLOOGLIBS)"; export CLOOGLIBS; \
	CLOOGINC="$(HOST_CLOOGINC)"; export CLOOGINC; \
	LIBELFLIBS="$(HOST_LIBELFLIBS)" ; export LIBELFLIBS; \
	LIBELFINC="$(HOST_LIBELFINC)" ; export LIBELFINC; \
	$(RPATH_ENVVAR)=`echo "$(HOST_LIB_PATH)$$$(RPATH_ENVVAR)" | sed 's,::*,:,g;s,^:*,,;s,:*$$,,'`; export $(RPATH_ENVVAR);

POSTSTAGE1_CXX_EXPORT = \
	CXX='$(CXX)'; export CXX; \
	CXX_FOR_BUILD='$(CXX_FOR_BUILD)'; export CXX_FOR_BUILD;

# Similar, for later GCC stages.
POSTSTAGE1_HOST_EXPORTS = \
	$(HOST_EXPORTS) \
	CC="$(STAGE_CC_WRAPPER) $$r/$(HOST_SUBDIR)/prev-gcc/xgcc$(exeext) \
	  -B$$r/$(HOST_SUBDIR)/prev-gcc/ -B$(build_tooldir)/bin/ \
	  $(XGCC_FLAGS_FOR_TARGET) $$TFLAGS"; export CC; \
	CC_FOR_BUILD="$$CC"; export CC_FOR_BUILD; \
	$(POSTSTAGE1_CXX_EXPORT) \
	GNATBIND="$$r/$(HOST_SUBDIR)/prev-gcc/gnatbind"; export GNATBIND; \
	LDFLAGS="$(POSTSTAGE1_LDFLAGS) $(BOOT_LDFLAGS)"; export LDFLAGS; \
	HOST_LIBS="$(POSTSTAGE1_LIBS)"; export HOST_LIBS;

# Target libraries are put under this directory:
TARGET_SUBDIR = aarch64-linux-gnu
# This is set by the configure script to the arguments to use when configuring
# directories built for the target.
TARGET_CONFIGARGS = --cache-file=./config.cache --enable-multilib --with-cross-host=x86_64-linux-gnu   '--enable-shared' '--enable-plugins' '--prefix=/usr' '--with-pkgversion=GNU Binutils for Ubuntu' '--with-sysroot=/' '--enable-ld=default' '--enable-gold' --program-transform-name='s&^&aarch64-linux-gnu-&' --disable-option-checking --with-target-subdir="$(TARGET_SUBDIR)"
# This is the list of variables to export in the environment when
# configuring subdirectories for the target system.
BASE_TARGET_EXPORTS = \
	$(BASE_EXPORTS) \
	AR="$(AR_FOR_TARGET)"; export AR; \
	AS="$(COMPILER_AS_FOR_TARGET)"; export AS; \
	CC="$(CC_FOR_TARGET) $(XGCC_FLAGS_FOR_TARGET) $$TFLAGS"; export CC; \
	CFLAGS="$(CFLAGS_FOR_TARGET)"; export CFLAGS; \
	CONFIG_SHELL="$(SHELL)"; export CONFIG_SHELL; \
	CPPFLAGS="$(CPPFLAGS_FOR_TARGET)"; export CPPFLAGS; \
	CXXFLAGS="$(CXXFLAGS_FOR_TARGET)"; export CXXFLAGS; \
	GCJ="$(GCJ_FOR_TARGET) $(XGCC_FLAGS_FOR_TARGET) $$TFLAGS"; export GCJ; \
	GFORTRAN="$(GFORTRAN_FOR_TARGET) $(XGCC_FLAGS_FOR_TARGET) $$TFLAGS"; export GFORTRAN; \
	GOC="$(GOC_FOR_TARGET) $(XGCC_FLAGS_FOR_TARGET) $$TFLAGS"; export GOC; \
	DLLTOOL="$(DLLTOOL_FOR_TARGET)"; export DLLTOOL; \
	LD="$(COMPILER_LD_FOR_TARGET)"; export LD; \
	LDFLAGS="$(LDFLAGS_FOR_TARGET)"; export LDFLAGS; \
	LIPO="$(LIPO_FOR_TARGET)"; export LIPO; \
	NM="$(COMPILER_NM_FOR_TARGET)"; export NM; \
	OBJDUMP="$(OBJDUMP_FOR_TARGET)"; export OBJDUMP; \
	RANLIB="$(RANLIB_FOR_TARGET)"; export RANLIB; \
	READELF="$(READELF_FOR_TARGET)"; export READELF; \
	STRIP="$(STRIP_FOR_TARGET)"; export STRIP; \
	WINDRES="$(WINDRES_FOR_TARGET)"; export WINDRES; \
	WINDMC="$(WINDMC_FOR_TARGET)"; export WINDMC; \
	$(RPATH_ENVVAR)=`echo "$(HOST_LIB_PATH)$$$(RPATH_ENVVAR)" | sed 's,::*,:,g;s,^:*,,;s,:*$$,,'`; export $(RPATH_ENVVAR); \
	TARGET_CONFIGDIRS="$(TARGET_CONFIGDIRS)"; export TARGET_CONFIGDIRS;

RAW_CXX_TARGET_EXPORTS = \
	$(BASE_TARGET_EXPORTS) \
	CXX_FOR_TARGET="$(RAW_CXX_FOR_TARGET)"; export CXX_FOR_TARGET; \
	CXX="$(RAW_CXX_FOR_TARGET) $(XGCC_FLAGS_FOR_TARGET) $$TFLAGS"; export CXX;

NORMAL_TARGET_EXPORTS = \
	$(BASE_TARGET_EXPORTS) \
	CXX="$(CXX_FOR_TARGET) $(XGCC_FLAGS_FOR_TARGET) $$TFLAGS"; export CXX;

# Where to find GMP
HOST_GMPLIBS = -lmpc -lmpfr -lgmp
HOST_GMPINC = 

# Where to find ISL
HOST_ISLINC = 

# Where to find CLOOG
HOST_CLOOGLIBS = 
HOST_CLOOGINC =

=== binutils-2.23.90.20131116/builddir-aarch64-linux-gnu/bfd/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



#
#   Copyright 2012 Free Software Foundation
#
# This file is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING3.  If not see
# <http://www.gnu.org/licenses/>.
#



VPATH = ../../bfd
pkgdatadir = $(datadir)/bfd
pkgincludedir = $(includedir)/bfd
pkglibdir = $(libdir)/bfd
pkglibexecdir = $(libexecdir)/bfd
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
target_triplet = aarch64-unknown-linux-gnu
#am__append_1 = -rpath $(rpath_bfdlibdir)
am__append_2 = $(INCDIR)/plugin-api.h
subdir = .
DIST_COMMON = README ChangeLog $(srcdir)/Makefile.in \
	$(srcdir)/Makefile.am $(top_srcdir)/configure \
	$(am__configure_deps) $(srcdir)/config.in \
	$(srcdir)/../mkinstalldirs $(srcdir)/bfd-in2.h \
	$(top_srcdir)/po/Make-in $(srcdir)/../depcomp \
	$(am__bfdinclude_HEADERS_DIST)
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/../config/acx.m4 \
	$(top_srcdir)/../config/depstand.m4 \
	$(top_srcdir)/../config/gettext-sister.m4 \
	$(top_srcdir)/../config/largefile.m4 \
	$(top_srcdir)/../config/lead-dot.m4 \
	$(top_srcdir)/../config/nls.m4 \
	$(top_srcdir)/../config/override.m4 \
	$(top_srcdir)/../config/plugins.m4 \
	$(top_srcdir)/../config/po.m4 \
	$(top_srcdir)/../config/progtest.m4 \
	$(top_srcdir)/../config/stdint.m4 $(top_srcdir)/../libtool.m4 \
	$(top_srcdir)/../ltoptions.m4 $(top_srcdir)/../ltsugar.m4 \
	$(top_srcdir)/../ltversion.m4 $(top_srcdir)/../lt~obsolete.m4 \
	$(top_srcdir)/bfd.m4 $(top_srcdir)/warning.m4 \
	$(top_srcdir)/acinclude.m4 $(top_srcdir)/../config/zlib.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = bfd-in3.h po/Makefile.in
CONFIG_CLEAN_VPATH_FILES =
LIBRARIES = $(noinst_LIBRARIES)
ARFLAGS = cru
libbfd_a_AR = $(AR) $(ARFLAGS)
libbfd_a_LIBADD =
am_libbfd_a_OBJECTS =
libbfd_a_OBJECTS = $(am_libbfd_a_OBJECTS)
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__installdirs = "$(DESTDIR)$(bfdlibdir)" \
	"$(DESTDIR)$(bfdincludedir)"
LTLIBRARIES = $(bfdlib_LTLIBRARIES) $(noinst_LTLIBRARIES)
am__DEPENDENCIES_1 =
am__objects_1 = archive.lo archures.lo bfd.lo bfdio.lo bfdwin.lo \
	cache.lo coffgen.lo corefile.lo format.lo init.lo libbfd.lo \
	opncls.lo reloc.lo section.lo syms.lo targets.lo hash.lo \
	linker.lo srec.lo binary.lo tekhex.lo ihex.lo stabs.lo \
	stab-syms.lo merge.lo dwarf2.lo simple.lo compress.lo \
	verilog.lo
am_libbfd_la_OBJECTS = $(am__objects_1)
libbfd_la_OBJECTS = $(am_libbfd_la_OBJECTS)
libbfd_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(libbfd_la_LDFLAGS) $(LDFLAGS) -o $@
#am_libbfd_la_rpath =
am_libbfd_la_rpath = -rpath $(bfdlibdir)
DEFAULT_INCLUDES = -I. -I$(srcdir)
depcomp = $(SHELL) $(top_srcdir)/../depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(libbfd_a_SOURCES) $(libbfd_la_SOURCES) \
	$(EXTRA_libbfd_la_SOURCES)
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
am__bfdinclude_HEADERS_DIST = $(INCDIR)/plugin-api.h bfd.h \
	$(INCDIR)/ansidecl.h $(INCDIR)/symcat.h $(INCDIR)/bfdlink.h
HEADERS = $(bfdinclude_HEADERS)
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
ACLOCAL = ${SHELL} /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/missing --run aclocal-1.11
AMTAR = ${SHELL} /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/missing --run autoconf
AUTOHEADER = ${SHELL} /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/missing --run autoheader
AUTOMAKE = ${SHELL} /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/missing --run automake-1.11
AWK = gawk
BFD_HOSTPTR_T = unsigned long
BFD_HOST_64BIT_LONG = 1
BFD_HOST_64BIT_LONG_LONG = 0
BFD_HOST_64_BIT = long
BFD_HOST_64_BIT_DEFINED = 1
BFD_HOST_U_64_BIT = unsigned long
CATALOGS =  da.gmo es.gmo fi.gmo fr.gmo id.gmo ja.gmo ro.gmo ru.gmo rw.gmo sv.gmo tr.gmo uk.gmo vi.gmo zh_CN.gmo
CATOBJEXT = .gmo
CC = gcc
CCDEPMODE = depmode=gcc3
CC_FOR_BUILD = gcc
CFLAGS = -g -O2 -Wno-format-security
COREFILE = 
COREFLAG = 
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DATADIRNAME = share
DEBUGDIR = ${exec_prefix}/lib/debug
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
EXEEXT_FOR_BUILD = $(EXEEXT)
FGREP = /bin/grep -F
GENCAT = gencat
GMSGFMT = /usr/bin/msgfmt
GREP = /bin/grep
HDEFINES = 
INCINTL = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = /usr/bin/install -c -m 644
INSTALL_PROGRAM = /usr/bin/install -c
INSTALL_SCRIPT = /usr/bin/install -c
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INSTOBJEXT = .mo
LD = ld -m elf_x86_64
LDFLAGS = -static-libstdc++ -static-libgcc 
LIBINTL = 
LIBINTL_DEP = 
LIBM = -lm
LIBOBJS = 
LIBS = -lz 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAKEINFO = makeinfo --split-size=5000000
MKDIR_P = /bin/mkdir -p
MKINSTALLDIRS = $(top_builddir)/../../bfd/../mkinstalldirs
MSGFMT = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
NM = nm
NMEDIT = 
NO_WERROR = -Wno-error
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = bfd
PACKAGE_BUGREPORT = 
PACKAGE_NAME = bfd
PACKAGE_STRING = bfd 2.23.90
PACKAGE_TARNAME = bfd
PACKAGE_URL = 
PACKAGE_VERSION = 2.23.90
PATH_SEPARATOR = :
PKGVERSION = (GNU Binutils for Ubuntu) 
POSUB = po
RANLIB = ranlib
REPORT_BUGS_TEXI = @uref{http://www.sourceware.org/bugzilla/}
REPORT_BUGS_TO = <http://www.sourceware.org/bugzilla/>
SED = /bin/sed
SET_MAKE = 
SHARED_LDFLAGS = 
SHARED_LIBADD = -L/scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/builddir-aarch64-linux-gnu/bfd/../libiberty/pic -liberty -Wl,-lc,--as-needed,-lm,--no-as-needed
SHELL = /bin/bash
STRIP = strip
TDEFINES =   
USE_NLS = yes
VERSION = 2.23.90
WARN_CFLAGS = -W -Wall -Wstrict-prototypes -Wmissing-prototypes -Wshadow -Werror
XGETTEXT = /usr/bin/xgettext
abs_builddir = /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/builddir-aarch64-linux-gnu/bfd
abs_srcdir = /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/builddir-aarch64-linux-gnu/bfd/../../bfd
abs_top_builddir = /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/builddir-aarch64-linux-gnu/bfd
abs_top_srcdir = /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/builddir-aarch64-linux-gnu/bfd/../../bfd
ac_ct_CC = 
ac_ct_DUMPBIN = 
all_backends = $(BFD64_BACKENDS) $(BFD32_BACKENDS)
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bfd64_libs = $(BFD64_LIBS)
bfd_backends =  elf64-aarch64.lo elfxx-aarch64.lo elf-ifunc.lo elf64.lo elf.lo elflink.lo elf-attrs.lo elf-strtab.lo elf-eh-frame.lo dwarf1.lo elf32-aarch64.lo elf32.lo elf32-arm.lo elf-nacl.lo elf-vxworks.lo elf64-gen.lo elf32-gen.lo plugin.lo
bfd_default_target_size = 64
bfd_file_ptr = BFD_HOST_64_BIT
bfd_machines =  cpu-aarch64.lo cpu-arm.lo cpu-plugin.lo
bfd_ufile_ptr = BFD_HOST_U_64_BIT
#bfdincludedir = 
bfdincludedir = $(exec_prefix)/$(host_noncanonical)/$(target_noncanonical)/include
# Empty these so that the respective installation directories will not be created.
#bfdlibdir = 
bfdlibdir = $(exec_prefix)/$(host_noncanonical)/$(target_noncanonical)/lib
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = x86_64-linux-gnu
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
havevecs = -DHAVE_bfd_elf64_littleaarch64_vec -DHAVE_bfd_elf64_bigaarch64_vec -DHAVE_bfd_elf32_littleaarch64_vec -DHAVE_bfd_elf32_bigaarch64_vec -DHAVE_bfd_elf32_littlearm_vec -DHAVE_bfd_elf32_bigarm_vec -DHAVE_bfd_elf64_little_generic_vec -DHAVE_bfd_elf64_big_generic_vec -DHAVE_bfd_elf32_little_generic_vec -DHAVE_bfd_elf32_big_generic_vec -DHAVE_plugin_vec
host = x86_64-pc-linux-gnu
host_alias = x86_64-linux-gnu
host_cpu = x86_64
host_noncanonical = x86_64-linux-gnu
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include

=== binutils-2.23.90.20131116/builddir-aarch64-linux-gnu/binutils/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



#
#   Copyright 2012 Free Software Foundation
#
# This file is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING3.  If not see
# <http://www.gnu.org/licenses/>.
#


VPATH = ../../binutils
pkgdatadir = $(datadir)/binutils
pkgincludedir = $(includedir)/binutils
pkglibdir = $(libdir)/binutils
pkglibexecdir = $(libexecdir)/binutils
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
target_triplet = aarch64-unknown-linux-gnu
bin_PROGRAMS = $(am__EXEEXT_6) $(am__EXEEXT_7) $(am__EXEEXT_8) \
	$(am__EXEEXT_9) $(am__EXEEXT_10) $(am__EXEEXT_11) \
	    \
	 $(am__EXEEXT_12) $(am__EXEEXT_13) \
	$(am__EXEEXT_14) 
noinst_PROGRAMS = $(am__EXEEXT_18) $(am__EXEEXT_21) 
EXTRA_PROGRAMS = $(am__EXEEXT_1) srconv$(EXEEXT) sysdump$(EXEEXT) \
	coffdump$(EXEEXT) $(am__EXEEXT_2) $(am__EXEEXT_3) \
	$(am__EXEEXT_4) $(am__EXEEXT_5)
subdir = .
DIST_COMMON = NEWS README ChangeLog $(srcdir)/Makefile.in \
	$(srcdir)/Makefile.am $(top_srcdir)/configure \
	$(am__configure_deps) $(srcdir)/config.in \
	$(srcdir)/../mkinstalldirs $(top_srcdir)/po/Make-in arparse.h \
	arparse.c arlex.c defparse.h defparse.c deflex.c nlmheader.h \
	nlmheader.c arparse.h arparse.c arlex.c mcparse.h mcparse.c \
	rcparse.h rcparse.c $(srcdir)/../depcomp $(srcdir)/../ylwrap
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/../bfd/acinclude.m4 \
	$(top_srcdir)/../config/zlib.m4 \
	$(top_srcdir)/../bfd/warning.m4 $(top_srcdir)/../config/acx.m4 \
	$(top_srcdir)/../config/depstand.m4 \
	$(top_srcdir)/../config/gettext-sister.m4 \
	$(top_srcdir)/../config/iconv.m4 \
	$(top_srcdir)/../config/largefile.m4 \
	$(top_srcdir)/../config/lcmessage.m4 \
	$(top_srcdir)/../config/lead-dot.m4 \
	$(top_srcdir)/../config/lib-ld.m4 \
	$(top_srcdir)/../config/lib-link.m4 \
	$(top_srcdir)/../config/lib-prefix.m4 \
	$(top_srcdir)/../config/nls.m4 \
	$(top_srcdir)/../config/override.m4 \
	$(top_srcdir)/../config/plugins.m4 \
	$(top_srcdir)/../config/po.m4 \
	$(top_srcdir)/../config/progtest.m4 \
	$(top_srcdir)/../libtool.m4 $(top_srcdir)/../ltoptions.m4 \
	$(top_srcdir)/../ltsugar.m4 $(top_srcdir)/../ltversion.m4 \
	$(top_srcdir)/../lt~obsolete.m4 $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = po/Makefile.in
CONFIG_CLEAN_VPATH_FILES =
am__EXEEXT_1 = nlmconv$(EXEEXT)
am__EXEEXT_2 = dlltool$(EXEEXT)
am__EXEEXT_3 = windres$(EXEEXT)
am__EXEEXT_4 = windmc$(EXEEXT)
am__EXEEXT_5 = dllwrap$(EXEEXT)
am__EXEEXT_6 = size$(EXEEXT)
am__EXEEXT_7 = objdump$(EXEEXT)
am__EXEEXT_8 = ar$(EXEEXT)
am__EXEEXT_9 = strings$(EXEEXT)
am__EXEEXT_10 = ranlib$(EXEEXT)
am__EXEEXT_11 = objcopy$(EXEEXT)
am__EXEEXT_12 = addr2line$(EXEEXT)
am__EXEEXT_13 = readelf$(EXEEXT)
am__EXEEXT_14 = elfedit$(EXEEXT)
am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(bindir)"
am__EXEEXT_15 = nm-new$(EXEEXT)
am__EXEEXT_16 = strip-new$(EXEEXT)
am__EXEEXT_17 = cxxfilt$(EXEEXT)
am__EXEEXT_18 = $(am__EXEEXT_15) $(am__EXEEXT_16) $(am__EXEEXT_17)
am__EXEEXT_19 = bfdtest1$(EXEEXT)
am__EXEEXT_20 = bfdtest2$(EXEEXT)
am__EXEEXT_21 = $(am__EXEEXT_19) $(am__EXEEXT_20)
PROGRAMS = $(bin_PROGRAMS) $(noinst_PROGRAMS)
am__objects_1 = bucomm.$(OBJEXT) version.$(OBJEXT) filemode.$(OBJEXT)
am_addr2line_OBJECTS = addr2line.$(OBJEXT) $(am__objects_1)
addr2line_OBJECTS = $(am_addr2line_OBJECTS)
addr2line_LDADD = $(LDADD)
am__DEPENDENCIES_1 =
am_ar_OBJECTS = arparse.$(OBJEXT) arlex.$(OBJEXT) ar.$(OBJEXT) \
	not-ranlib.$(OBJEXT) arsup.$(OBJEXT) rename.$(OBJEXT) \
	binemul.$(OBJEXT) emul_$(EMULATION).$(OBJEXT) $(am__objects_1)
ar_OBJECTS = $(am_ar_OBJECTS)
bfdtest1_SOURCES = bfdtest1.c
bfdtest1_OBJECTS = bfdtest1.$(OBJEXT)
bfdtest1_LDADD = $(LDADD)
bfdtest2_SOURCES = bfdtest2.c
bfdtest2_OBJECTS = bfdtest2.$(OBJEXT)
bfdtest2_LDADD = $(LDADD)
am_coffdump_OBJECTS = coffdump.$(OBJEXT) coffgrok.$(OBJEXT) \
	$(am__objects_1)
coffdump_OBJECTS = $(am_coffdump_OBJECTS)
coffdump_LDADD = $(LDADD)
am_cxxfilt_OBJECTS = cxxfilt.$(OBJEXT) $(am__objects_1)
cxxfilt_OBJECTS = $(am_cxxfilt_OBJECTS)
cxxfilt_LDADD = $(LDADD)
am_dlltool_OBJECTS = dlltool.$(OBJEXT) defparse.$(OBJEXT) \
	deflex.$(OBJEXT) $(am__objects_1)
dlltool_OBJECTS = $(am_dlltool_OBJECTS)
am_dllwrap_OBJECTS = dllwrap.$(OBJEXT) version.$(OBJEXT)
dllwrap_OBJECTS = $(am_dllwrap_OBJECTS)
am__objects_2 = elfcomm.$(OBJEXT)
am_elfedit_OBJECTS = elfedit.$(OBJEXT) version.$(OBJEXT) \
	$(am__objects_2)
elfedit_OBJECTS = $(am_elfedit_OBJECTS)
am_nlmconv_OBJECTS = nlmconv.$(OBJEXT) nlmheader.$(OBJEXT) \
	$(am__objects_1)
nlmconv_OBJECTS = $(am_nlmconv_OBJECTS)
nlmconv_LDADD = $(LDADD)
am_nm_new_OBJECTS = nm.$(OBJEXT) $(am__objects_1)
nm_new_OBJECTS = $(am_nm_new_OBJECTS)
nm_new_LDADD = $(LDADD)
am__objects_3 = rddbg.$(OBJEXT) debug.$(OBJEXT) stabs.$(OBJEXT) \
	ieee.$(OBJEXT) rdcoff.$(OBJEXT)
am__objects_4 = $(am__objects_3) wrstabs.$(OBJEXT)
am_objcopy_OBJECTS = objcopy.$(OBJEXT) not-strip.$(OBJEXT) \
	rename.$(OBJEXT) $(am__objects_4) $(am__objects_1)
objcopy_OBJECTS = $(am_objcopy_OBJECTS)
objcopy_LDADD = $(LDADD)
am_objdump_OBJECTS = objdump.$(OBJEXT) dwarf.$(OBJEXT) prdbg.$(OBJEXT) \
	$(am__objects_3) $(am__objects_1) $(am__objects_2)
objdump_OBJECTS = $(am_objdump_OBJECTS)
am_ranlib_OBJECTS = ar.$(OBJEXT) is-ranlib.$(OBJEXT) arparse.$(OBJEXT) \
	arlex.$(OBJEXT) arsup.$(OBJEXT) rename.$(OBJEXT) \
	binemul.$(OBJEXT) emul_$(EMULATION).$(OBJEXT) $(am__objects_1)
ranlib_OBJECTS = $(am_ranlib_OBJECTS)
am_readelf_OBJECTS = readelf.$(OBJEXT) version.$(OBJEXT) \
	unwind-ia64.$(OBJEXT) dwarf.$(OBJEXT) $(am__objects_2)
readelf_OBJECTS = $(am_readelf_OBJECTS)
am_size_OBJECTS = size.$(OBJEXT) $(am__objects_1)
size_OBJECTS = $(am_size_OBJECTS)
size_LDADD = $(LDADD)
am_srconv_OBJECTS = srconv.$(OBJEXT) coffgrok.$(OBJEXT) \
	$(am__objects_1)
srconv_OBJECTS = $(am_srconv_OBJECTS)
srconv_LDADD = $(LDADD)
am_strings_OBJECTS = strings.$(OBJEXT) $(am__objects_1)
strings_OBJECTS = $(am_strings_OBJECTS)
strings_LDADD = $(LDADD)
am_strip_new_OBJECTS = objcopy.$(OBJEXT) is-strip.$(OBJEXT) \
	rename.$(OBJEXT) $(am__objects_4) $(am__objects_1)
strip_new_OBJECTS = $(am_strip_new_OBJECTS)
strip_new_LDADD = $(LDADD)
am_sysdump_OBJECTS = sysdump.$(OBJEXT) $(am__objects_1)
sysdump_OBJECTS = $(am_sysdump_OBJECTS)
sysdump_LDADD = $(LDADD)
am_windmc_OBJECTS = windmc.$(OBJEXT) mcparse.$(OBJEXT) mclex.$(OBJEXT) \
	winduni.$(OBJEXT) $(am__objects_1)
windmc_OBJECTS = $(am_windmc_OBJECTS)
am_windres_OBJECTS = windres.$(OBJEXT) resrc.$(OBJEXT) \
	rescoff.$(OBJEXT) resbin.$(OBJEXT) rcparse.$(OBJEXT) \
	rclex.$(OBJEXT) winduni.$(OBJEXT) resres.$(OBJEXT) \
	$(am__objects_1)
windres_OBJECTS = $(am_windres_OBJECTS)
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
SCRIPTS = $(bin_SCRIPTS)
DEFAULT_INCLUDES = -I. -I$(srcdir)
depcomp = $(SHELL) $(top_srcdir)/../depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
am__skiplex = test -f $@ ||
LEXCOMPILE = $(LEX) $(LFLAGS) $(AM_LFLAGS)
LTLEXCOMPILE = $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(LEX) $(LFLAGS) $(AM_LFLAGS)
YLWRAP = $(top_srcdir)/../ylwrap
am__skipyacc = test -f $@ ||
YACCCOMPILE = $(YACC) $(YFLAGS) $(AM_YFLAGS)
LTYACCCOMPILE = $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(YACC) $(YFLAGS) $(AM_YFLAGS)
SOURCES = $(addr2line_SOURCES) $(ar_SOURCES) $(EXTRA_ar_SOURCES) \
	bfdtest1.c bfdtest2.c $(coffdump_SOURCES) $(cxxfilt_SOURCES) \
	$(dlltool_SOURCES) $(dllwrap_SOURCES) $(elfedit_SOURCES) \
	$(nlmconv_SOURCES) $(nm_new_SOURCES) $(objcopy_SOURCES) \
	$(objdump_SOURCES) $(EXTRA_objdump_SOURCES) $(ranlib_SOURCES) \
	$(readelf_SOURCES) $(size_SOURCES) $(srconv_SOURCES) \
	$(strings_SOURCES) $(strip_new_SOURCES) $(sysdump_SOURCES) \
	$(windmc_SOURCES) $(windres_SOURCES)
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS
ETAGS = etags
CTAGS = ctags
DEJATOOL = $(PACKAGE)
RUNTESTDEFAULTFLAGS = --tool $$tool --srcdir $$srcdir
DIST_SUBDIRS = $(SUBDIRS)
ACLOCAL = ${SHELL} /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/missing --run aclocal-1.11
ALLOCA = 
AMTAR = ${SHELL} /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/missing --run autoconf

=== binutils-2.23.90.20131116/builddir-aarch64-linux-gnu/etc/Makefile ===
# 
# Makefile.in for etc
#

DESTDIR		=

prefix 		= /usr
exec_prefix 	= ${prefix}

srcdir  = ../../etc
VPATH	= ../../etc

bindir  = ${exec_prefix}/bin
libdir  = ${exec_prefix}/lib
tooldir = $(libdir)
datadir = ${datarootdir}

mandir  = ${datarootdir}/man
man1dir = $(mandir)/man1
man2dir = $(mandir)/man2
man3dir = $(mandir)/man3
man4dir = $(mandir)/man4
man5dir = $(mandir)/man5
man6dir = $(mandir)/man6
man7dir = $(mandir)/man7
man8dir = $(mandir)/man8
man9dir = $(mandir)/man9
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
infodir = ${datarootdir}/info
pdfdir = ${datarootdir}/doc/${PACKAGE}
htmldir = ${docdir}

SHELL = /bin/sh

INSTALL 	= /usr/bin/install -c
INSTALL_PROGRAM = /usr/bin/install -c
INSTALL_DATA    = /usr/bin/install -c -m 644

MAKEINFO = `if [ -f ../texinfo/makeinfo/makeinfo ]; \
	then echo ../texinfo/makeinfo/makeinfo; \
	else echo makeinfo; fi`
TEXI2DVI = `if [ -f ../texinfo/util/texi2dvi ]; \
	then echo ../texinfo/util/texi2dvi; \
	else echo texi2dvi; fi`
TEXI2PDF = `if [ -f ../texinfo/util/texi2dvi ]; \
	then echo "../texinfo/util/texi2dvi --pdf"; \
	else echo "texi2dvi --pdf"; fi`
TEXI2HTML = `if [ -f ../texinfo/makeinfo/makeinfo ]; \
	then echo "../texinfo/makeinfo/makeinfo --html"; \
	else echo "makeinfo --html"; fi`

DVIPS = dvips

# Where to find texinfo.tex to format documentation with TeX.
TEXIDIR = $(srcdir)/../texinfo

#### Host, target, and site specific Makefile fragments come in here.
###

INFOFILES = standards.info configure.info
DVIFILES = standards.dvi configure.dvi
PDFFILES = standards.pdf configure.pdf
HTMLFILES = standards.html configure.html

all: info
install install-strip: install-info

uninstall:

info:
	for f in $(INFOFILES); do \
	  if test -f $(srcdir)/`echo $$f | sed -e 's/.info$$/.texi/'`; then \
	    if $(MAKE) "MAKEINFO=$(MAKEINFO)" $$f; then \
	      true; \
	    else \
	      exit 1; \
	    fi; \
	  fi; \
	done

install-info: info
	$(SHELL) $(srcdir)/../mkinstalldirs $(DESTDIR)$(infodir)
	if test ! -f standards.info; then cd $(srcdir); fi; \
	if test -f standards.info; then \
	  for i in standards.info*; do \
	    $(INSTALL_DATA) $$i $(DESTDIR)$(infodir)/$$i; \
	  done; \
	fi
	if test ! -f configure.info; then cd $(srcdir); fi; \
	if test -f configure.info; then \
	  for i in configure.info*; do \
	    $(INSTALL_DATA) $$i $(DESTDIR)$(infodir)/$$i; \
	  done; \
	fi

html:
	for f in $(HTMLFILES); do \
	  if test -f $(srcdir)/`echo $$f | sed -e 's/.html$$/.texi/'`; then \
	    if $(MAKE) "TEXI2HTML=$(TEXI2HTML)" $$f; then \
	      true; \
	    else \
	      exit 1; \
	    fi; \
	  fi; \
	done

install-html: html
	$(SHELL) $(srcdir)/../mkinstalldirs $(DESTDIR)$(htmldir)
	if test ! -f standards.html; then cd $(srcdir); fi; \
	if test -f standards.html; then \
	  for i in standards.html*; do \
	    $(INSTALL_DATA) $$i $(DESTDIR)$(htmldir)/$$i; \
	  done; \
	fi
	if test ! -f configure.html; then cd $(srcdir); fi; \
	if test -f configure.html; then \
	  for i in configure.html*; do \
	    $(INSTALL_DATA) $$i $(DESTDIR)$(htmldir)/$$i; \
	  done; \
	fi

dvi:
	for f in $(DVIFILES); do \
	  if test -f $(srcdir)/`echo $$f | sed -e 's/.dvi$$/.texi/'`; then \
	    if $(MAKE) "TEXI2DVI=$(TEXI2DVI)" $$f; then \
	      true; \
	    else \
	      exit 1; \
	    fi; \
	  fi; \
	done

pdf:
	for f in $(PDFFILES); do \
	  if test -f $(srcdir)/`echo $$f | sed -e 's/.pdf$$/.texi/'`; then \
	    if $(MAKE) "TEXI2PDF=$(TEXI2PDF)" $$f; then \
	      true; \
	    else \
	      exit 1; \
	    fi; \
	  fi; \
	done

install-pdf: pdf
	$(SHELL) $(srcdir)/../mkinstalldirs $(DESTDIR)$(pdfdir)/etc
	if test ! -f standards.pdf; then cd $(srcdir); fi; \
	if test -f standards.pdf; then \
	  for i in standards.pdf*; do \
	    $(INSTALL_DATA) $$i $(DESTDIR)$(pdfdir)/etc/$$i; \
	  done; \
	fi
	if test ! -f configure.pdf; then cd $(srcdir); fi; \
	if test -f configure.pdf; then \
	  for i in configure.pdf*; do \
	    $(INSTALL_DATA) $$i $(DESTDIR)$(pdfdir)/etc/$$i; \
	  done; \
	fi

standards.info: $(srcdir)/standards.texi $(srcdir)/make-stds.texi
	$(MAKEINFO) --no-split -I$(srcdir) -o standards.info $(srcdir)/standards.texi

standards.html: $(srcdir)/standards.texi $(srcdir)/make-stds.texi
	$(TEXI2HTML) --no-split -I$(srcdir) -o standards.html $(srcdir)/standards.texi

standards.dvi: $(srcdir)/standards.texi
	TEXINPUTS=$(TEXIDIR):$$TEXINPUTS $(TEXI2DVI) $(srcdir)/standards.texi

standards.ps: standards.dvi
	$(DVIPS) standards.dvi -o standards.ps

standards.pdf: $(srcdir)/standards.texi
	TEXINPUTS=$(TEXIDIR):$$TEXINPUTS $(TEXI2PDF) $(srcdir)/standards.texi

# makeinfo requires images to be in the current directory.
configure.info: $(srcdir)/configure.texi $(srcdir)/configdev.tin $(srcdir)/configbuild.tin
	rm -f configdev.txt configbuild.txt
	cp $(srcdir)/configdev.tin configdev.txt
	cp $(srcdir)/configbuild.tin configbuild.txt
	$(MAKEINFO) -I$(srcdir) -o configure.info $(srcdir)/configure.texi
	rm -f configdev.txt configbuild.txt

# texi2dvi wants both the .txt and the .eps files.
configure.dvi: $(srcdir)/configure.texi $(srcdir)/configdev.tin $(srcdir)/configbuild.tin $(srcdir)/configdev.ein $(srcdir)/configbuild.ein
	rm -f configdev.txt configbuild.txt
	cp $(srcdir)/configdev.tin configdev.txt
	cp $(srcdir)/configbuild.tin configbuild.txt
	rm -f configdev.eps configbuild.eps
	cp $(srcdir)/configdev.ein configdev.eps
	cp $(srcdir)/configbuild.ein configbuild.eps
	TEXINPUTS=$(TEXIDIR):$$TEXINPUTS $(TEXI2DVI) $(srcdir)/configure.texi
	rm -f configdev.txt configbuild.txt
	rm -f configdev.eps configbuild.eps

# dvips requires images to be in the current directory
configure.ps: configure.dvi $(srcdir)/configdev.ein $(srcdir)/configbuild.ein
	rm -f configdev.eps configbuild.eps
	cp $(srcdir)/configdev.ein configdev.eps
	cp $(srcdir)/configbuild.ein configbuild.eps
	$(DVIPS) configure.dvi -o configure.ps
	rm -f configdev.eps configbuild.eps

configure.pdf: $(srcdir)/configure.texi $(srcdir)/configdev.tin $(srcdir)/configbuild.tin $(srcdir)/configdev.ein $(srcdir)/configbuild.ein
	rm -f configdev.pdf configbuild.pdf
	epstopdf $(srcdir)/configdev.ein -outfile=configdev.pdf
	epstopdf $(srcdir)/configbuild.ein -outfile=configbuild.pdf
	TEXINPUTS=$(TEXIDIR):$$TEXINPUTS $(TEXI2PDF) $(srcdir)/configure.texi
	rm -f configdev.pdf configbuild.pdf

configure.html: $(srcdir)/configure.texi
	cp $(srcdir)/configdev.jin configdev.jpg
	cp $(srcdir)/configbuild.jin configbuild.jpg
	$(TEXI2HTML) --no-split -I$(srcdir) -o configure.html $(srcdir)/configure.texi

clean:
	rm -f *.aux *.cp *.cps *.dvi *.fn *.fns *.ky *.kys *.log
	rm -f *.pg *.pgs *.toc *.tp *.tps *.vr *.vrs
	rm -f configdev.txt configbuild.txt 
	rm -f configdev.eps configbuild.eps
	rm -f configdev.jpg configbuild.jpg

mostlyclean: clean

distclean:   clean
	rm -f Makefile config.status config.cache

maintainer-clean realclean:   distclean
	rm -f *.html*
	rm -f *.info*

Makefile: $(srcdir)/Makefile.in $(host_makefile_frag) $(target_makefile_frag) \
	config.status
	$(SHELL) ./config.status

AUTOCONF = autoconf
configure_deps = $(srcdir)/configure.in

$(srcdir)/configure: # $(configure_deps)
	cd $(srcdir) && $(AUTOCONF)

config.status: $(srcdir)/configure
	$(SHELL) ./config.status --recheck

## these last targets are for standards.texi conformance
dist:
check:
installcheck:
TAGS:

=== binutils-2.23.90.20131116/builddir-aarch64-linux-gnu/gas/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



#
#   Copyright 2012 Free Software Foundation
#
# This file is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING3.  If not see
# <http://www.gnu.org/licenses/>.
#


VPATH = ../../gas
pkgdatadir = $(datadir)/gas
pkgincludedir = $(includedir)/gas
pkglibdir = $(libdir)/gas
pkglibexecdir = $(libexecdir)/gas
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
target_triplet = aarch64-unknown-linux-gnu
noinst_PROGRAMS = as-new$(EXEEXT)
EXTRA_PROGRAMS = itbl-test$(EXEEXT)
subdir = .
DIST_COMMON = NEWS README ChangeLog $(srcdir)/Makefile.in \
	$(srcdir)/Makefile.am $(top_srcdir)/configure \
	$(am__configure_deps) $(srcdir)/config.in \
	$(srcdir)/../mkinstalldirs $(srcdir)/gdbinit.in \
	$(srcdir)/gdbinit.in $(top_srcdir)/po/Make-in m68k-parse.c \
	bfin-parse.c itbl-parse.c itbl-lex.c $(srcdir)/../depcomp \
	$(srcdir)/../ylwrap
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/../bfd/acinclude.m4 \
	$(top_srcdir)/../config/zlib.m4 \
	$(top_srcdir)/../bfd/warning.m4 $(top_srcdir)/../config/acx.m4 \
	$(top_srcdir)/../config/depstand.m4 \
	$(top_srcdir)/../config/gettext-sister.m4 \
	$(top_srcdir)/../config/largefile.m4 \
	$(top_srcdir)/../config/lcmessage.m4 \
	$(top_srcdir)/../config/lead-dot.m4 \
	$(top_srcdir)/../config/nls.m4 \
	$(top_srcdir)/../config/override.m4 \
	$(top_srcdir)/../config/plugins.m4 \
	$(top_srcdir)/../config/po.m4 \
	$(top_srcdir)/../config/progtest.m4 \
	$(top_srcdir)/../libtool.m4 $(top_srcdir)/../ltoptions.m4 \
	$(top_srcdir)/../ltsugar.m4 $(top_srcdir)/../ltversion.m4 \
	$(top_srcdir)/../lt~obsolete.m4 $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = gdb.ini .gdbinit po/Makefile.in
CONFIG_CLEAN_VPATH_FILES =
PROGRAMS = $(noinst_PROGRAMS)
am__objects_1 = app.$(OBJEXT) as.$(OBJEXT) atof-generic.$(OBJEXT) \
	compress-debug.$(OBJEXT) cond.$(OBJEXT) depend.$(OBJEXT) \
	dwarf2dbg.$(OBJEXT) dw2gencfi.$(OBJEXT) ecoff.$(OBJEXT) \
	ehopt.$(OBJEXT) expr.$(OBJEXT) flonum-copy.$(OBJEXT) \
	flonum-konst.$(OBJEXT) flonum-mult.$(OBJEXT) frags.$(OBJEXT) \
	hash.$(OBJEXT) input-file.$(OBJEXT) input-scrub.$(OBJEXT) \
	listing.$(OBJEXT) literal.$(OBJEXT) macro.$(OBJEXT) \
	messages.$(OBJEXT) output-file.$(OBJEXT) read.$(OBJEXT) \
	remap.$(OBJEXT) sb.$(OBJEXT) stabs.$(OBJEXT) subsegs.$(OBJEXT) \
	symbols.$(OBJEXT) write.$(OBJEXT)
am_as_new_OBJECTS = $(am__objects_1)
as_new_OBJECTS = $(am_as_new_OBJECTS)
am__DEPENDENCIES_1 =
am__DEPENDENCIES_2 = ../bfd/libbfd.la ../libiberty/libiberty.a
am_itbl_test_OBJECTS = itbl-parse.$(OBJEXT) itbl-lex.$(OBJEXT)
itbl_test_OBJECTS = $(am_itbl_test_OBJECTS)
itbl_test_DEPENDENCIES = itbl-tops.o itbl-test.o \
	$(am__DEPENDENCIES_2)
SCRIPTS = $(noinst_SCRIPTS)
DEFAULT_INCLUDES = -I. -I$(srcdir)
depcomp = $(SHELL) $(top_srcdir)/../depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
am__skiplex = test -f $@ ||
LEXCOMPILE = $(LEX) $(LFLAGS) $(AM_LFLAGS)
LTLEXCOMPILE = $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(LEX) $(LFLAGS) $(AM_LFLAGS)
YLWRAP = $(top_srcdir)/../ylwrap
am__skipyacc = test -f $@ ||
YACCCOMPILE = $(YACC) $(YFLAGS) $(AM_YFLAGS)
LTYACCCOMPILE = $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(YACC) $(YFLAGS) $(AM_YFLAGS)
SOURCES = $(as_new_SOURCES) $(EXTRA_as_new_SOURCES) \
	$(itbl_test_SOURCES)
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS
ETAGS = etags
CTAGS = ctags
DEJATOOL = $(PACKAGE)
RUNTESTDEFAULTFLAGS = --tool $$tool --srcdir $$srcdir
DIST_SUBDIRS = $(SUBDIRS)
ACLOCAL = ${SHELL} /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/missing --run aclocal-1.11
ALLOCA = 
AMTAR = ${SHELL} /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/missing --run autoconf
AUTOHEADER = ${SHELL} /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/missing --run autoheader
AUTOMAKE = ${SHELL} /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/missing --run automake-1.11
AWK = gawk
CATALOGS =  es.gmo fi.gmo fr.gmo id.gmo ja.gmo ru.gmo rw.gmo tr.gmo
CATOBJEXT = .gmo
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -Wno-format-security
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DATADIRNAME = share
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GDBINIT = .gdbinit
GENCAT = gencat
GMSGFMT = /usr/bin/msgfmt
GREP = /bin/grep
INCINTL = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = /usr/bin/install -c -m 644
INSTALL_PROGRAM = /usr/bin/install -c
INSTALL_SCRIPT = /usr/bin/install -c
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INSTOBJEXT = .mo
LD = ld -m elf_x86_64
LDFLAGS = -static-libstdc++ -static-libgcc 
LEX = `if [ -f ../flex/flex ] ; then echo ../flex/flex ; else echo flex ; fi`
LEXLIB = -lfl
LEX_OUTPUT_ROOT = lex.yy
LIBINTL = 
LIBINTL_DEP = 
LIBM = 
LIBOBJS = 
LIBS = -lz 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAKEINFO = makeinfo --split-size=5000000
MKDIR_P = /bin/mkdir -p
MKINSTALLDIRS = $(top_builddir)/../../gas/../mkinstalldirs
MSGFMT = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
NM = nm
NMEDIT = 
NO_WERROR = -Wno-error
OBJDUMP = objdump
OBJEXT = o
OPCODES_LIB = ../opcodes/libopcodes.la
OTOOL = 
OTOOL64 = 
PACKAGE = gas
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_URL = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
POSUB = po
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
USE_NLS = yes
VERSION = 2.23.90
WARN_CFLAGS = -W -Wall -Wstrict-prototypes -Wmissing-prototypes -Wshadow -Werror
XGETTEXT = /usr/bin/xgettext
YACC = `if [ -f ../bison/bison ] ; then echo ../bison/bison -y -L../bison/bison ; else echo bison -y ; fi`
YFLAGS = 
abs_builddir = /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/builddir-aarch64-linux-gnu/gas
abs_srcdir = /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/builddir-aarch64-linux-gnu/gas/../../gas
abs_top_builddir = /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/builddir-aarch64-linux-gnu/gas
abs_top_srcdir = /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/builddir-aarch64-linux-gnu/gas/../../gas
ac_ct_CC = 
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
atof = ieee
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = x86_64-linux-gnu
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
cgen_cpu_prefix = 
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
extra_objects = 
host = x86_64-pc-linux-gnu
host_alias = x86_64-linux-gnu
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/install-sh
install_tooldir = install-exec-tooldir
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
obj_format = elf
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s&^&aarch64-linux-gnu-&
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = ../../gas
sysconfdir = ${prefix}/etc
target = aarch64-unknown-linux-gnu
target_alias = aarch64-linux-gnu
target_cpu = aarch64
target_cpu_type = aarch64
target_os = linux-gnu
target_vendor = unknown
te_file = linux
top_build_prefix = 
top_builddir = .
top_srcdir = ../../gas
AUTOMAKE_OPTIONS = 1.11 dejagnu foreign no-dist
ACLOCAL_AMFLAGS = -I .. -I ../config -I ../bfd
SUBDIRS = doc po
tooldir = $(exec_prefix)/$(target_alias)

# Automake 1.10+ disables lex and yacc output file regeneration if
# maintainer mode is disabled.  Avoid this.
am__skiplex = 
am__skipyacc = 
AM_CFLAGS = $(WARN_CFLAGS)
TARG_CPU = aarch64
TARG_CPU_C = $(srcdir)/config/tc-aarch64.c
TARG_CPU_O = tc-aarch64.o
TARG_CPU_H = $(srcdir)/config/tc-aarch64.h
OBJ_FORMAT_C = $(srcdir)/config/obj-elf.c
OBJ_FORMAT_O = obj-elf.o
OBJ_FORMAT_H = $(srcdir)/config/obj-elf.h
TARG_ENV_H = $(srcdir)/config/te-linux.h
ATOF_TARG_C = $(srcdir)/config/atof-ieee.c
ATOF_TARG_O = atof-ieee.o

# use aarch64 for refering to configured target name
IT_HDRS = itbl-parse.h $(srcdir)/itbl-ops.h
IT_SRCS = itbl-parse.c itbl-lex-wrapper.c $(srcdir)/itbl-ops.c
IT_DEPS = $(srcdir)/itbl-parse.y $(srcdir)/itbl-lex.l $(srcdir)/config/itbl-aarch64.h
IT_OBJS = itbl-parse.o itbl-lex.o itbl-ops.o

# Regular source files.
GAS_CFILES = \
	app.c \
	as.c \
	atof-generic.c \
	compress-debug.c \
	cond.c \
	depend.c \
	dwarf2dbg.c \
	dw2gencfi.c \
	ecoff.c \
	ehopt.c \
	expr.c \
	flonum-copy.c \
	flonum-konst.c \
	flonum-mult.c \
	frags.c \
	hash.c \

=== binutils-2.23.90.20131116/builddir-aarch64-linux-gnu/gprof/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



#
#   Copyright 2012 Free Software Foundation
#
# This file is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING3.  If not see
# <http://www.gnu.org/licenses/>.
#


VPATH = ../../gprof
pkgdatadir = $(datadir)/gprof
pkgincludedir = $(includedir)/gprof
pkglibdir = $(libdir)/gprof
pkglibexecdir = $(libexecdir)/gprof
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
target_triplet = aarch64-unknown-linux-gnu
bin_PROGRAMS = gprof$(EXEEXT)
subdir = .
DIST_COMMON = README ChangeLog $(srcdir)/Makefile.in \
	$(srcdir)/Makefile.am $(top_srcdir)/configure \
	$(am__configure_deps) $(srcdir)/gconfig.in \
	$(srcdir)/../mkinstalldirs $(top_srcdir)/po/Make-in \
	$(srcdir)/../depcomp $(gprof_TEXINFOS) $(noinst_HEADERS)
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/../bfd/warning.m4 \
	$(top_srcdir)/../config/depstand.m4 \
	$(top_srcdir)/../config/gettext-sister.m4 \
	$(top_srcdir)/../config/largefile.m4 \
	$(top_srcdir)/../config/lead-dot.m4 \
	$(top_srcdir)/../config/nls.m4 \
	$(top_srcdir)/../config/override.m4 \
	$(top_srcdir)/../config/plugins.m4 \
	$(top_srcdir)/../config/po.m4 \
	$(top_srcdir)/../config/progtest.m4 \
	$(top_srcdir)/../libtool.m4 $(top_srcdir)/../ltoptions.m4 \
	$(top_srcdir)/../ltsugar.m4 $(top_srcdir)/../ltversion.m4 \
	$(top_srcdir)/../lt~obsolete.m4 $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
CONFIG_HEADER = gconfig.h
CONFIG_CLEAN_FILES = po/Makefile.in
CONFIG_CLEAN_VPATH_FILES =
am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(infodir)" \
	"$(DESTDIR)$(man1dir)"
PROGRAMS = $(bin_PROGRAMS)
am__objects_1 = basic_blocks.$(OBJEXT) call_graph.$(OBJEXT) \
	cg_arcs.$(OBJEXT) cg_dfn.$(OBJEXT) cg_print.$(OBJEXT) \
	corefile.$(OBJEXT) gmon_io.$(OBJEXT) gprof.$(OBJEXT) \
	hertz.$(OBJEXT) hist.$(OBJEXT) source.$(OBJEXT) \
	search_list.$(OBJEXT) symtab.$(OBJEXT) sym_ids.$(OBJEXT) \
	utils.$(OBJEXT) i386.$(OBJEXT) alpha.$(OBJEXT) vax.$(OBJEXT) \
	tahoe.$(OBJEXT) sparc.$(OBJEXT) mips.$(OBJEXT) \
	aarch64.$(OBJEXT)
am_gprof_OBJECTS = $(am__objects_1) flat_bl.$(OBJEXT) \
	bsd_callg_bl.$(OBJEXT) fsf_callg_bl.$(OBJEXT)
gprof_OBJECTS = $(am_gprof_OBJECTS)
am__DEPENDENCIES_1 =
DEFAULT_INCLUDES = -I. -I$(srcdir)
depcomp = $(SHELL) $(top_srcdir)/../depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(gprof_SOURCES)
INFO_DEPS = gprof.info
am__TEXINFO_TEX_DIR = $(srcdir)/../texinfo
DVIS = gprof.dvi
PDFS = gprof.pdf
PSS = gprof.ps
HTMLS = gprof.html
TEXINFOS = gprof.texi
TEXI2PDF = $(TEXI2DVI) --pdf --batch
MAKEINFOHTML = $(MAKEINFO) --html
AM_MAKEINFOHTMLFLAGS = $(AM_MAKEINFOFLAGS)
DVIPS = dvips
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
man1dir = $(mandir)/man1
NROFF = nroff
MANS = $(man_MANS)
HEADERS = $(noinst_HEADERS)
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
ACLOCAL = ${SHELL} /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/missing --run aclocal-1.11
AMTAR = ${SHELL} /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/missing --run autoconf
AUTOHEADER = ${SHELL} /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/missing --run autoheader
AUTOMAKE = ${SHELL} /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/missing --run automake-1.11
AWK = gawk
CATALOGS =  bg.gmo da.gmo de.gmo eo.gmo es.gmo fi.gmo fr.gmo ga.gmo id.gmo it.gmo ja.gmo ms.gmo nl.gmo pt_BR.gmo ro.gmo ru.gmo rw.gmo sr.gmo sv.gmo tr.gmo uk.gmo vi.gmo
CATOBJEXT = .gmo
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -Wno-format-security
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DATADIRNAME = share
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GENCAT = gencat
GMSGFMT = /usr/bin/msgfmt
GREP = /bin/grep
INCINTL = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = /usr/bin/install -c -m 644
INSTALL_PROGRAM = /usr/bin/install -c
INSTALL_SCRIPT = /usr/bin/install -c
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INSTOBJEXT = .mo
LD = ld -m elf_x86_64
LDFLAGS = -static-libstdc++ -static-libgcc 
LIBINTL = 
LIBINTL_DEP = 
LIBOBJS = 
LIBS = -lm 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAKEINFO = makeinfo --split-size=5000000
MKDIR_P = /bin/mkdir -p
MKINSTALLDIRS = $(top_builddir)/../../gprof/../mkinstalldirs
MSGFMT = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
NM = nm
NMEDIT = 
NO_WERROR = -Wno-error
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = gprof
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_URL = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
POSUB = po
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
USE_NLS = yes
VERSION = 2.23.90
WARN_CFLAGS = -W -Wall -Wstrict-prototypes -Wmissing-prototypes -Wshadow -Werror
XGETTEXT = /usr/bin/xgettext
abs_builddir = /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/builddir-aarch64-linux-gnu/gprof
abs_srcdir = /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/builddir-aarch64-linux-gnu/gprof/../../gprof
abs_top_builddir = /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/builddir-aarch64-linux-gnu/gprof
abs_top_srcdir = /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/builddir-aarch64-linux-gnu/gprof/../../gprof
ac_ct_CC = 
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = x86_64-linux-gnu
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = x86_64-linux-gnu
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s&^&aarch64-linux-gnu-&
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = ../../gprof
sysconfdir = ${prefix}/etc
target = aarch64-unknown-linux-gnu
target_alias = aarch64-linux-gnu
target_cpu = aarch64
target_os = linux-gnu
target_vendor = unknown
top_build_prefix = 
top_builddir = .
top_srcdir = ../../gprof
AUTOMAKE_OPTIONS = 1.11 foreign no-dist no-texinfo.tex
ACLOCAL_AMFLAGS = -I .. -I ../config -I ../bfd
TEXINFO_TEX = ../texinfo/texinfo.tex
SUFFIXES = .m
SUBDIRS = po
BASEDIR = $(srcdir)/..
BFDDIR = $(BASEDIR)/bfd
INCDIR = $(BASEDIR)/include
AM_CFLAGS = $(WARN_CFLAGS)
AM_CPPFLAGS = -DDEBUG -I../bfd -I$(srcdir)/../include \
	-I$(srcdir)/../bfd  -I. \
	-DLOCALEDIR="\"$(datadir)/locale\""

sources = basic_blocks.c call_graph.c cg_arcs.c cg_dfn.c \
	cg_print.c corefile.c gmon_io.c gprof.c hertz.c hist.c source.c \
	search_list.c symtab.c sym_ids.c utils.c \
	i386.c alpha.c vax.c tahoe.c sparc.c mips.c aarch64.c

gprof_SOURCES = $(sources) flat_bl.c bsd_callg_bl.c fsf_callg_bl.c
gprof_DEPENDENCIES = ../bfd/libbfd.la ../libiberty/libiberty.a $(LIBINTL_DEP)
gprof_LDADD = ../bfd/libbfd.la ../libiberty/libiberty.a $(LIBINTL)
noinst_HEADERS = \
	basic_blocks.h call_graph.h cg_arcs.h cg_dfn.h cg_print.h \
	corefile.h gmon.h gmon_io.h gmon_out.h gprof.h hertz.h hist.h \
	search_list.h source.h sym_ids.h symtab.h utils.h

BUILT_SOURCES = flat_bl.c bsd_callg_bl.c fsf_callg_bl.c
EXTRA_DIST = $(BUILT_SOURCES) bbconv.pl $(man_MANS)

# We extract version from bfd/configure.in, make sure to rerun configure
# when BFD's version changes.
CONFIG_STATUS_DEPENDENCIES = $(BFDDIR)/configure.in
POTFILES = $(sources) $(noinst_HEADERS)
MANCONF = -Dman

=== binutils-2.23.90.20131116/builddir-aarch64-linux-gnu/intl/Makefile ===
# Makefile for directory with message catalog handling library of GNU gettext
# Copyright (C) 1995-1998, 2000-2003 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU Library General Public License as published
# by the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston, MA 02110-1301,
# USA.

# This Makefile has been modified from the original shipped with
# gettext 0.12.1 to remove the ability to install libintl (which
# we do not need nor want), the ability to build a shared library
# (likewise), and a large number of heinous kludges.

SHELL = /bin/bash

srcdir = ../../intl
VPATH = $(srcdir)

prefix = /usr
exec_prefix = ${prefix}
transform = s&^&aarch64-linux-gnu-&
libdir = ${exec_prefix}/lib
includedir = ${prefix}/include
datarootdir = ${prefix}/share
datadir = ${datarootdir}
localedir = $(datadir)/locale
aliaspath = $(localedir)

AR = ar
ACLOCAL = aclocal
AUTOCONF = autoconf
AUTOHEADER = autoheader
CC = gcc
RANLIB = ranlib
YACC = bison -y -d
YFLAGS = --name-prefix=__gettext
CPPFLAGS = 
CFLAGS = -g -O2 -Wno-format-security
LDFLAGS = -static-libstdc++ -static-libgcc 
LIBS = 
DEFS = -DHAVE_CONFIG_H

COMPILE = $(CC) -c $(CPPFLAGS) $(CFLAGS) $(DEFS) $(DEFS-$@) $(INCLUDES)

HEADERS = \
  gmo.h \
  gettextP.h \
  hash-string.h \
  loadinfo.h \
  plural-exp.h \
  eval-plural.h \
  localcharset.h \
  relocatable.h \
  libgnuintl.h
SOURCES = \
  bindtextdom.c \
  dcgettext.c \
  dgettext.c \
  gettext.c \
  finddomain.c \
  loadmsgcat.c \
  localealias.c \
  textdomain.c \
  l10nflist.c \
  explodename.c \
  dcigettext.c \
  dcngettext.c \
  dngettext.c \
  ngettext.c \
  plural.y \
  plural-exp.c \
  localcharset.c \
  relocatable.c \
  localename.c \
  log.c \
  osdep.c \
  intl-compat.c
OBJECTS = \
  bindtextdom.o \
  dcgettext.o \
  dgettext.o \
  gettext.o \
  finddomain.o \
  loadmsgcat.o \
  localealias.o \
  textdomain.o \
  l10nflist.o \
  explodename.o \
  dcigettext.o \
  dcngettext.o \
  dngettext.o \
  ngettext.o \
  plural.o \
  plural-exp.o \
  localcharset.o \
  relocatable.o \
  localename.o \
  log.o \
  osdep.o \
  intl-compat.o

DEFS-dcigettext.o = -DLOCALEDIR="\"$(localedir)\""
DEFS-localealias.o = -DLOCALE_ALIAS_PATH="\"$(aliaspath)\""
DEFS-localcharset.o = -DLIBDIR="\"$(libdir)\""
DEFS-relocatable.o = -DINSTALLDIR="\"$(libdir)\""

all: all-no
all-yes: libintl.a libintl.h config.intl
all-no: # nothing

libintl.a: $(OBJECTS)
	rm -f $@
	$(AR) cru $@ $(OBJECTS)
	$(RANLIB) $@

libintl.h: $(srcdir)/libgnuintl.h
	cp $(srcdir)/libgnuintl.h $@

.SUFFIXES:
.SUFFIXES: .c .y .o

.c.o:
	$(COMPILE) $<

.y.c:
	$(YACC) $(YFLAGS) --output $@ $<
	rm -f $*.h

INCLUDES = -I. -I$(srcdir)

check: all

# The installation targets have been disabled.
install: install-exec install-data
install-exec: all
install-data: all
install-strip: install
installdirs:
installcheck:
uninstall:

.PHONY: info dvi ps pdf html
.PHONY: install-info install-dvi install-ps install-pdf install-html

info dvi ps pdf html:
install-info install-dvi install-ps install-pdf install-html:

$(OBJECTS): config.h libintl.h
bindtextdom.o dcgettext.o dcigettext.o dcngettext.o dgettext.o \
dngettext.o finddomain.o gettext.o intl-compat.o loadmsgcat.o \
localealias.o ngettext.o textdomain.o: gettextP.h gmo.h loadinfo.h
dcigettext.o loadmsgcat.o: hash-string.h
explodename.o l10nflist.o: loadinfo.h
dcigettext.o loadmsgcat.o plural.o plural-exp.o: plural-exp.h
dcigettext.o: eval-plural.h
localcharset.o: localcharset.h
localealias.o localcharset.o relocatable.o: relocatable.h

tags: TAGS
TAGS: $(HEADERS) $(SOURCES)
	here=`pwd`; cd $(srcdir) && \
		etags -o $$here/TAGS $(HEADERS) $(SOURCES)

ctags: CTAGS
CTAGS: $(HEADERS) $(SOURCES)
	here=`pwd`; cd $(srcdir) && \
		ctags -o $$here/CTAGS $(HEADERS) $(SOURCES)

id: ID
ID: $(HEADERS) $(SOURCES)
	here=`pwd`; cd $(srcdir) && \
		mkid -f$$here/ID $(HEADERS) $(SOURCES)

mostlyclean:
	rm -f *.a *.la *.o *.obj *.lo core core.* libintl.h

clean: mostlyclean

distclean: clean
	rm -f config.status config.cache config.log config.intl config.h
	rm -f Makefile ID TAGS

maintainer-clean: distclean

# The 'make dist' targets have been disabled; the GNU toolchain handles this
# with a script maintained separately from the Makefile.
dist:
distdir:

# Rules to rebuild the configuration

Makefile: $(srcdir)/Makefile.in config.status
	$(SHELL) ./config.status Makefile

config.intl: $(srcdir)/config.intl.in config.status
	$(SHELL) ./config.status config.intl

config.status: $(srcdir)/configure
	$(SHELL) ./config.status --recheck

$(srcdir)/configure: # $(srcdir)/aclocal.m4 $(srcdir)/configure.ac
	cd $(srcdir) && $(AUTOCONF)

aclocal_deps = \
	$(srcdir)/configure.ac \
	$(srcdir)/../config/codeset.m4 \
	$(srcdir)/../config/gettext.m4 \
	$(srcdir)/../config/glibc21.m4 \
	$(srcdir)/../config/iconv.m4 \
	$(srcdir)/../config/intdiv0.m4 \
	$(srcdir)/../config/inttypes-pri.m4 \
	$(srcdir)/../config/inttypes.m4 \
	$(srcdir)/../config/inttypes_h.m4 \
	$(srcdir)/../config/lcmessage.m4 \
	$(srcdir)/../config/lib-ld.m4 \
	$(srcdir)/../config/lib-link.m4 \
	$(srcdir)/../config/lib-prefix.m4 \
	$(srcdir)/../config/nls.m4 \
	$(srcdir)/../config/po.m4 \
	$(srcdir)/../config/progtest.m4 \
	$(srcdir)/../config/stdint_h.m4 \
	$(srcdir)/../config/uintmax_t.m4 \
	$(srcdir)/../config/ulonglong.m4

$(srcdir)/aclocal.m4: # $(aclocal_deps)
	cd $(srcdir) && $(ACLOCAL) -I ../config

config.h: stamp-h1
	test -f config.h || (rm -f stamp-h1 && $(MAKE) stamp-h1)

stamp-h1: $(srcdir)/config.h.in config.status
	-rm -f stamp-h1
	$(SHELL) ./config.status config.h

$(srcdir)/config.h.in: # $(srcdir)/aclocal.m4 $(srcdir)/configure.ac
	cd $(srcdir) && $(AUTOHEADER)
	-rm -f stamp-h1

# Tell versions [3.59,3.63) of GNU make not to export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== binutils-2.23.90.20131116/builddir-aarch64-linux-gnu/ld/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



#
#   Copyright 2012 Free Software Foundation
#
# This file is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING3.  If not see
# <http://www.gnu.org/licenses/>.
#


VPATH = ../../ld
pkgdatadir = $(datadir)/ld
pkgincludedir = $(includedir)/ld
pkglibdir = $(libdir)/ld
pkglibexecdir = $(libexecdir)/ld
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
target_triplet = aarch64-unknown-linux-gnu
bin_PROGRAMS = ld-new$(EXEEXT)

# Automake 1.9 will only build info files in the objdir if they are
# mentioned in DISTCLEANFILES.  It doesn't have to be unconditional,
# though, so we use a bogus condition.
#am__append_1 = ld.info
subdir = .
DIST_COMMON = NEWS README ChangeLog $(srcdir)/Makefile.in \
	$(srcdir)/Makefile.am $(top_srcdir)/configure \
	$(am__configure_deps) $(srcdir)/config.in \
	$(srcdir)/../mkinstalldirs $(top_srcdir)/po/Make-in ldgram.h \
	ldgram.c deffilep.h deffilep.c ldlex.c $(srcdir)/../depcomp \
	$(srcdir)/../ylwrap $(ld_TEXINFOS)
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/../bfd/acinclude.m4 \
	$(top_srcdir)/../config/zlib.m4 \
	$(top_srcdir)/../bfd/warning.m4 $(top_srcdir)/../config/acx.m4 \
	$(top_srcdir)/../config/depstand.m4 \
	$(top_srcdir)/../config/gettext-sister.m4 \
	$(top_srcdir)/../config/largefile.m4 \
	$(top_srcdir)/../config/lcmessage.m4 \
	$(top_srcdir)/../config/lead-dot.m4 \
	$(top_srcdir)/../config/nls.m4 \
	$(top_srcdir)/../config/override.m4 \
	$(top_srcdir)/../config/plugins.m4 \
	$(top_srcdir)/../config/po.m4 \
	$(top_srcdir)/../config/progtest.m4 \
	$(top_srcdir)/../libtool.m4 $(top_srcdir)/../ltoptions.m4 \
	$(top_srcdir)/../ltsugar.m4 $(top_srcdir)/../ltversion.m4 \
	$(top_srcdir)/../lt~obsolete.m4 $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = po/Makefile.in
CONFIG_CLEAN_VPATH_FILES =
LTLIBRARIES = $(noinst_LTLIBRARIES)
libldtestplug_la_LIBADD =
am_libldtestplug_la_OBJECTS =  \
	libldtestplug_la-testplug.lo
libldtestplug_la_OBJECTS = $(am_libldtestplug_la_OBJECTS)
libldtestplug_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(libldtestplug_la_CFLAGS) \
	$(CFLAGS) $(libldtestplug_la_LDFLAGS) $(LDFLAGS) -o $@
am_libldtestplug_la_rpath =
am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(infodir)" \
	"$(DESTDIR)$(man1dir)"
PROGRAMS = $(bin_PROGRAMS)
am__objects_1 = plugin.$(OBJEXT)
am_ld_new_OBJECTS = ldgram.$(OBJEXT) ldlex-wrapper.$(OBJEXT) \
	lexsup.$(OBJEXT) ldlang.$(OBJEXT) mri.$(OBJEXT) \
	ldctor.$(OBJEXT) ldmain.$(OBJEXT) ldwrite.$(OBJEXT) \
	ldexp.$(OBJEXT) ldemul.$(OBJEXT) ldver.$(OBJEXT) \
	ldmisc.$(OBJEXT) ldfile.$(OBJEXT) ldcref.$(OBJEXT) \
	$(am__objects_1)
ld_new_OBJECTS = $(am_ld_new_OBJECTS)
am__DEPENDENCIES_1 =
DEFAULT_INCLUDES = -I. -I$(srcdir)
depcomp = $(SHELL) $(top_srcdir)/../depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
am__skiplex = test -f $@ ||
LEXCOMPILE = $(LEX) $(LFLAGS) $(AM_LFLAGS)
LTLEXCOMPILE = $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(LEX) $(LFLAGS) $(AM_LFLAGS)
YLWRAP = $(top_srcdir)/../ylwrap
am__skipyacc = test -f $@ ||
YACCCOMPILE = $(YACC) $(YFLAGS) $(AM_YFLAGS)
LTYACCCOMPILE = $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(YACC) $(YFLAGS) $(AM_YFLAGS)
SOURCES = $(libldtestplug_la_SOURCES) $(ld_new_SOURCES) \
	$(EXTRA_ld_new_SOURCES)
INFO_DEPS = ld.info
am__TEXINFO_TEX_DIR = $(srcdir)/../texinfo
DVIS = ld.dvi
PDFS = ld.pdf
PSS = ld.ps
HTMLS = ld.html
TEXINFOS = ld.texinfo
TEXI2PDF = $(TEXI2DVI) --pdf --batch
MAKEINFOHTML = $(MAKEINFO) --html
AM_MAKEINFOHTMLFLAGS = $(AM_MAKEINFOFLAGS)
DVIPS = dvips
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
man1dir = $(mandir)/man1
NROFF = nroff
MANS = $(man_MANS)
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS
ETAGS = etags
CTAGS = ctags
DEJATOOL = $(PACKAGE)
RUNTESTDEFAULTFLAGS = --tool $$tool --srcdir $$srcdir
DIST_SUBDIRS = $(SUBDIRS)
transform = s/^ld-new$$/$(installed_linker)/;s&^&aarch64-linux-gnu-&
ACLOCAL = ${SHELL} /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/missing --run aclocal-1.11
AMTAR = ${SHELL} /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/missing --run autoconf
AUTOHEADER = ${SHELL} /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/missing --run autoheader
AUTOMAKE = ${SHELL} /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/missing --run automake-1.11
AWK = gawk
CATALOGS =  bg.gmo da.gmo es.gmo fi.gmo fr.gmo ga.gmo id.gmo it.gmo ja.gmo sv.gmo tr.gmo uk.gmo vi.gmo zh_CN.gmo zh_TW.gmo
CATOBJEXT = .gmo
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -Wno-format-security
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DATADIRNAME = share
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EMUL = aarch64linux
EMULATION_LIBPATH = aarch64linux
EMULATION_OFILES =  eaarch64linux.o eaarch64linuxb.o eaarch64elf.o eaarch64elf32.o eaarch64elf32b.o eaarch64elfb.o earmelf_linux_eabi.o earmelfb_linux_eabi.o earmelf.o earmelfb.o
EMUL_EXTRA_OFILES = 
EXEEXT = 
FGREP = /bin/grep -F
GENCAT = gencat
GMSGFMT = /usr/bin/msgfmt
GREP = /bin/grep
HDEFINES = 

#stuff for self hosting (can be overridden in config file).
HOSTING_CRT0 = -dynamic-linker `${CC} --help --verbose 2>&1 | egrep "ld[^ ]*\.so" | sed -e "s,.*-dynamic-linker[ 	][ 	]*\(.*/ld[^ ]*\.so..\).*,\1,"` `${CC} --print-file-name=crt1.o` `${CC} --print-file-name=crti.o` `if [ -f ../gcc/crtbegin.o ]; then echo ../gcc/crtbegin.o; else ${CC} --print-file-name=crtbegin.o; fi`
HOSTING_LIBS = -L`dirname \`${CC} --print-file-name=libc.so\`` `if [ -f ../gcc/libgcc.a ]; then libgcc=../gcc/libgcc.a; else libgcc=\`${CC} -print-libgcc-file-name\`; fi; if [ -f ../gcc/libgcc_eh.a ]; then libgcc="$$libgcc ../gcc/libgcc_eh.a"; else libgcc_eh=\`${CC} -print-file-name=libgcc_eh.a\`; if [ x"$$libgcc_eh" != xlibgcc_eh.a ]; then libgcc="$$libgcc $$libgcc_eh"; fi; fi; if [ -f ../gcc/libunwind.a ]; then libgcc="$$libgcc ../gcc/libunwind.a"; else libunwind=\`${CC} -print-file-name=libunwind.a\`; if [ x"$$libunwind" != xlibunwind.a ]; then libgcc="$$libgcc $$libunwind"; fi; fi; echo --start-group $$libgcc -lc --end-group` `if [ -f ../gcc/crtend.o ]; then echo ../gcc/crtend.o; else ${CC} --print-file-name=crtend.o; fi` `${CC} --print-file-name=crtn.o`
HOSTING_SCRT0 = -dynamic-linker `${CC} --help --verbose 2>&1 | egrep "ld[^ ]*\.so" | sed -e "s,.*-dynamic-linker[ 	][ 	]*\(.*/ld[^ ]*\.so..\).*,\1,"` `${CC} --print-file-name=Scrt1.o` `${CC} --print-file-name=crti.o` `if [ -f ../gcc/crtbeginS.o ]; then echo ../gcc/crtbeginS.o; else ${CC} --print-file-name=crtbeginS.o; fi`
INCINTL = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = /usr/bin/install -c -m 644
INSTALL_PROGRAM = /usr/bin/install -c
INSTALL_SCRIPT = /usr/bin/install -c
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INSTOBJEXT = .mo
LD = ld -m elf_x86_64
LDFLAGS = -static-libstdc++ -static-libgcc 
LEX = `if [ -f ../flex/flex ]; then echo ../flex/flex; else echo flex; fi`
LEXLIB = -lfl
LEX_OUTPUT_ROOT = lex.yy
LIBINTL = 
LIBINTL_DEP = 
LIBOBJS = 
LIBS = -lz -ldl 
LIBTOOL = $(SHELL) $(top_builddir)/libtool

# Search path to override the default search path for -lfoo libraries.
# If LIB_PATH is empty, the ones in the script (if any) are left alone.
# (The default is usually /lib:/usr/lib:/usr/local/lib, unless building
# a cross-linker, in which case the default is empty.  See genscripts.sh.)
# Otherwise, they are replaced with the ones given in LIB_PATH,
# which may have the form: LIB_PATH=/lib:/usr/local/lib.  This can be set
# when the linker is configured via the --with-lib-path configure switch.
LIB_PATH = 
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAKEINFO = makeinfo --split-size=5000000
MKDIR_P = /bin/mkdir -p
MKINSTALLDIRS = $(top_builddir)/../../ld/../mkinstalldirs
MSGFMT = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
NATIVE_LIB_DIRS = /usr/local/lib /lib /usr/lib
NM = nm
NMEDIT = 
NO_WERROR = -Wno-error
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = ld
PACKAGE_BUGREPORT = 
PACKAGE_NAME =

=== binutils-2.23.90.20131116/builddir-aarch64-linux-gnu/libiberty/Makefile ===
# Makefile for the libiberty library.
# Originally written by K. Richard Pixley <rich@cygnus.com>.
#
# Copyright (C) 1990, 1991, 1992, 1993, 1994, 1995, 1996, 1997, 1998,
# 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012
# Free Software Foundation
#
# This file is part of the libiberty library.
# Libiberty is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# Libiberty is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with libiberty; see the file COPYING.LIB.  If not,
# write to the Free Software Foundation, Inc., 51 Franklin Street - Fifth Floor,
# Boston, MA 02110-1301, USA.

libiberty_topdir = ../../libiberty/..
srcdir = ../../libiberty

prefix = /usr

exec_prefix = ${prefix}
bindir = ${exec_prefix}/bin
libdir = ${exec_prefix}/lib
includedir = ${prefix}/include
target_header_dir = 
objext = o

SHELL = /bin/bash

# Multilib support variables.
MULTISRCTOP =
MULTIBUILDTOP =
MULTIDIRS =
MULTISUBDIR =
MULTIDO = true
MULTICLEAN = true

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = /usr/bin/install -c
INSTALL_DATA = /usr/bin/install -c -m 644
mkinstalldirs = $(SHELL) $(libiberty_topdir)/mkinstalldirs

# Some compilers can't handle cc -c blah.c -o foo/blah.o.
OUTPUT_OPTION = -o $@

AR = ar
AR_FLAGS = rc

CC = gcc
CFLAGS = -g -O2 -Wno-format-security
CPPFLAGS = 
RANLIB = ranlib
MAKEINFO = makeinfo --split-size=5000000
PERL = perl

PICFLAG = -fpic

MAKEOVERRIDES =

TARGETLIB = ./libiberty.a
TESTLIB = ./testlib.a

LIBOBJS =  ${LIBOBJDIR}./setproctitle$U.o

# A configuration can specify extra .o files that should be included,
# even if they are in libc. (Perhaps the libc version is buggy.)
EXTRA_OFILES = 

# Flags to pass to a recursive make.
FLAGS_TO_PASS = \
	"AR=$(AR)" \
	"AR_FLAGS=$(AR_FLAGS)" \
	"CC=$(CC)" \
	"CFLAGS=$(CFLAGS)" \
	"CPPFLAGS=$(CPPFLAGS)" \
	"DESTDIR=$(DESTDIR)" \
	"EXTRA_OFILES=$(EXTRA_OFILES)" \
	"HDEFINES=$(HDEFINES)" \
	"INSTALL=$(INSTALL)" \
	"INSTALL_DATA=$(INSTALL_DATA)" \
	"INSTALL_PROGRAM=$(INSTALL_PROGRAM)" \
	"LDFLAGS=$(LDFLAGS)" \
	"LOADLIBES=$(LOADLIBES)" \
	"RANLIB=$(RANLIB)" \
	"SHELL=$(SHELL)" \
	"prefix=$(prefix)" \
	"exec_prefix=$(exec_prefix)" \
	"libdir=$(libdir)" \
	"libsubdir=$(libsubdir)" \
	"tooldir=$(tooldir)"

# Subdirectories to recurse into. We need to override this during cleaning
SUBDIRS = testsuite

# FIXME: add info once we're sure it works for everyone.
all: stamp-picdir $(TARGETLIB) required-list all-subdir
	@: $(MAKE) ; $(MULTIDO) $(FLAGS_TO_PASS) multi-do DO=all

.PHONY: check installcheck
check: check-subdir
installcheck: installcheck-subdir

# Warning: this fragment is automatically generated
enable_shared = yes

INCDIR=$(srcdir)/$(MULTISRCTOP)../include

COMPILE.c = $(CC) -c -DHAVE_CONFIG_H $(CFLAGS) $(CPPFLAGS) -I. -I$(INCDIR) $(HDEFINES) -W -Wall -Wwrite-strings -Wc++-compat -Wstrict-prototypes -pedantic 

# Just to make sure we don't use a built-in rule with VPATH
.c.$(objext):
	false

# NOTE: If you add new files to the library, add them to this list
# (alphabetical), and add them to REQUIRED_OFILES, or
# CONFIGURED_OFILES and funcs in configure.ac.  Also run "make maint-deps"
# to build the new rules.
CFILES = alloca.c argv.c asprintf.c atexit.c				\
	basename.c bcmp.c bcopy.c bsearch.c bzero.c			\
	calloc.c choose-temp.c clock.c concat.c cp-demangle.c		\
	 cp-demint.c cplus-dem.c crc32.c				\
	dwarfnames.c dyn-string.c					\
	fdmatch.c ffs.c fibheap.c filename_cmp.c floatformat.c		\
	fnmatch.c fopen_unlocked.c					\
	getcwd.c getopt.c getopt1.c getpagesize.c getpwd.c getruntime.c	\
         gettimeofday.c                                                 \
	hashtab.c hex.c							\
	index.c insque.c						\
	lbasename.c							\
	lrealpath.c							\
	make-relative-prefix.c						\
	make-temp-file.c md5.c memchr.c memcmp.c memcpy.c memmem.c	\
	 memmove.c mempcpy.c memset.c mkstemps.c			\
	objalloc.c obstack.c						\
	partition.c pexecute.c						\
	 pex-common.c pex-djgpp.c pex-msdos.c pex-one.c			\
	 pex-unix.c pex-win32.c						\
         physmem.c putenv.c						\
	random.c regex.c rename.c rindex.c				\
	safe-ctype.c setenv.c setproctitle.c sha1.c sigsetmask.c        \
	 simple-object.c simple-object-coff.c simple-object-elf.c	\
	 simple-object-mach-o.c simple-object-xcoff.c			\
         snprintf.c sort.c						\
	 spaces.c splay-tree.c stack-limit.c stpcpy.c stpncpy.c		\
	 strcasecmp.c strchr.c strdup.c strerror.c strncasecmp.c	\
	 strncmp.c strrchr.c strsignal.c strstr.c strtod.c strtol.c	\
	 strtoul.c strndup.c strnlen.c strverscmp.c			\
	timeval-utils.c tmpnam.c					\
	unlink-if-ordinary.c						\
	vasprintf.c vfork.c vfprintf.c vprintf.c vsnprintf.c vsprintf.c	\
	waitpid.c							\
	xatexit.c xexit.c xmalloc.c xmemdup.c xstrdup.c xstrerror.c	\
	 xstrndup.c

# These are always included in the library.  The first four are listed
# first and by compile time to optimize parallel builds.
REQUIRED_OFILES =							\
	./regex.$(objext) ./cplus-dem.$(objext) ./cp-demangle.$(objext) \
	./md5.$(objext) ./sha1.$(objext) ./alloca.$(objext)		\
	./argv.$(objext)						\
	./choose-temp.$(objext) ./concat.$(objext)			\
	./cp-demint.$(objext) ./crc32.$(objext)				\
	./dwarfnames.$(objext) ./dyn-string.$(objext)			\
	./fdmatch.$(objext) ./fibheap.$(objext)				\
	./filename_cmp.$(objext) ./floatformat.$(objext)		\
	./fnmatch.$(objext) ./fopen_unlocked.$(objext)			\
	./getopt.$(objext) ./getopt1.$(objext) ./getpwd.$(objext)	\
	./getruntime.$(objext) ./hashtab.$(objext) ./hex.$(objext)	\
	./lbasename.$(objext) ./lrealpath.$(objext)			\
	./make-relative-prefix.$(objext) ./make-temp-file.$(objext)	\
	./objalloc.$(objext)						\
	./obstack.$(objext)						\
	./partition.$(objext) ./pexecute.$(objext) ./physmem.$(objext)	\
	./pex-common.$(objext) ./pex-one.$(objext)			\
	./pex-unix.$(objext)						\
	./safe-ctype.$(objext)						\
	./simple-object.$(objext) ./simple-object-coff.$(objext)	\
	./simple-object-elf.$(objext) ./simple-object-mach-o.$(objext)	\
	./simple-object-xcoff.$(objext)					\
	./sort.$(objext) ./spaces.$(objext)				\
	./splay-tree.$(objext) ./stack-limit.$(objext)			\
	./strerror.$(objext) ./strsignal.$(objext)			\
	./timeval-utils.$(objext) ./unlink-if-ordinary.$(objext)	\
	./xatexit.$(objext) ./xexit.$(objext) ./xmalloc.$(objext)	\
	./xmemdup.$(objext) ./xstrdup.$(objext) ./xstrerror.$(objext)	\
	./xstrndup.$(objext)

# These are all the objects that configure may add to the library via
# $funcs or EXTRA_OFILES.  This list exists here only for "make
# maint-missing" and "make check".
CONFIGURED_OFILES = ./asprintf.$(objext) ./atexit.$(objext)		\
	./basename.$(objext) ./bcmp.$(objext) ./bcopy.$(objext)		\
	./bsearch.$(objext) ./bzero.$(objext)				\
	./calloc.$(objext) ./clock.$(objext) ./copysign.$(objext)	\
	./_doprnt.$(objext)						\
	 ./ffs.$(objext)						\
	./getcwd.$(objext) ./getpagesize.$(objext)			\
	 ./gettimeofday.$(objext)					\
	./index.$(objext) ./insque.$(objext)				\
	./memchr.$(objext) ./memcmp.$(objext) ./memcpy.$(objext) 	\
	./memmem.$(objext) ./memmove.$(objext)				\
	 ./mempcpy.$(objext) ./memset.$(objext) ./mkstemps.$(objext)	\
	./pex-djgpp.$(objext) ./pex-msdos.$(objext)			\
	 ./pex-unix.$(objext) ./pex-win32.$(objext)			\
	 ./putenv.$(objext)						\
	./random.$(objext) ./rename.$(objext) ./rindex.$(objext)	\
	./setenv.$(objext) 						\
	 ./setproctitle.$(objext)					\
	 ./sigsetmask.$(objext) ./snprintf.$(objext)			\
	 ./stpcpy.$(objext) ./stpncpy.$(objext) ./strcasecmp.$(objext)	\
	 ./strchr.$(objext) ./strdup.$(objext) ./strncasecmp.$(objext)	\
	 ./strncmp.$(objext) ./strndup.$(objext) ./strnlen.$(objext)	\
	 ./strrchr.$(objext) ./strstr.$(objext) ./strtod.$(objext)	\
	 ./strtol.$(objext) ./strtoul.$(objext) ./strverscmp.$(objext)	\
	./tmpnam.$(objext)						\
	./vasprintf.$(objext) ./vfork.$(objext) ./vfprintf.$(objext)	\
	 ./vprintf.$(objext) ./vsnprintf.$(objext) ./vsprintf.$(objext)	\
	./waitpid.$(objext)

# These files are installed if the library has been configured to do so.
INSTALLED_HEADERS =                                                     \
	$(INCDIR)/ansidecl.h                                            \
	$(INCDIR)/demangle.h                                            \
	$(INCDIR)/dyn-string.h                                          \
	$(INCDIR)/fibheap.h                                             \
	$(INCDIR)/floatformat.h                                         \
	$(INCDIR)/hashtab.h                                             \
	$(INCDIR)/libiberty.h                                           \
	$(INCDIR)/objalloc.h                                            \
	$(INCDIR)/partition.h                                           \
	$(INCDIR)/safe-ctype.h                                          \
	$(INCDIR)/sort.h                                                \
	$(INCDIR)/splay-tree.h \
	$(INCDIR)/timeval-utils.h

$(TARGETLIB): $(REQUIRED_OFILES) $(EXTRA_OFILES) $(LIBOBJS)
	-rm -f $(TARGETLIB) pic/$(TARGETLIB)
	$(AR) $(AR_FLAGS) $(TARGETLIB) \
	  $(REQUIRED_OFILES) $(EXTRA_OFILES) $(LIBOBJS)
	$(RANLIB) $(TARGETLIB)
	if [ x"$(PICFLAG)" != x ]; then \
	  cd pic; \
	  $(AR) $(AR_FLAGS) $(TARGETLIB) \
	    $(REQUIRED_OFILES) $(EXTRA_OFILES) $(LIBOBJS); \
	  $(RANLIB) $(TARGETLIB); \
	  cd ..; \
	else true; fi

$(TESTLIB): $(REQUIRED_OFILES) $(CONFIGURED_OFILES)
	-rm -f $(TESTLIB)
	$(AR) $(AR_FLAGS) $(TESTLIB) \
	  $(REQUIRED_OFILES) $(CONFIGURED_OFILES)
	$(RANLIB) $(TESTLIB)

info: libiberty.info info-subdir
install-info: install-info-subdir
clean-info: clean-info-subdir
dvi: libiberty.dvi dvi-subdir

LIBIBERTY_PDFFILES = libiberty.pdf

pdf: $(LIBIBERTY_PDFFILES) pdf-subdir

.PHONY: install-pdf

pdf__strip_dir = `echo $$p | sed -e 's|^.*/||'`;

install-pdf: $(LIBIBERTY_PDFFILES)
	@$(NORMAL_INSTALL)
	test -z "$(pdfdir)" || $(mkinstalldirs) "$(DESTDIR)$(pdfdir)"
	@list='$(LIBIBERTY_PDFFILES)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f=$(pdf__strip_dir) \
	  echo " $(INSTALL_DATA) '$$d$$p' '$(DESTDIR)$(pdfdir)/$$f'"; \
	  $(INSTALL_DATA) "$$d$$p" "$(DESTDIR)$(pdfdir)/$$f"; \
	done

# html, install-html targets
HTMLS = libiberty.html

html: $(HTMLS)

.PHONY: install-html install-html-am

NORMAL_INSTALL = :
mkdir_p = mkdir -p --

html__strip_dir = `echo $$p | sed -e 's|^.*/||'`;

install-html: install-html-am

install-html-am: $(HTMLS)
	@$(NORMAL_INSTALL)
	test -z "$(htmldir)" || $(mkdir_p) "$(DESTDIR)$(htmldir)"
	@list='$(HTMLS)'; for p in $$list; do \
	  if test -f "$$p" || test -d "$$p"; then d=""; else d="$(srcdir)/"; fi; \
	  f=$(html__strip_dir) \
	  if test -d "$$d$$p"; then \
	    echo " $(mkdir_p) '$(DESTDIR)$(htmldir)/$$f'"; \
	    $(mkdir_p) "$(DESTDIR)$(htmldir)/$$f" || exit 1; \
	    echo " $(INSTALL_DATA) '$$d$$p'/* '$(DESTDIR)$(htmldir)/$$f'"; \
	    $(INSTALL_DATA) "$$d$$p"/* "$(DESTDIR)$(htmldir)/$$f"; \
	  else \
	    echo " $(INSTALL_DATA) '$$d$$p' '$(DESTDIR)$(htmldir)/$$f'"; \
	    $(INSTALL_DATA) "$$d$$p" "$(DESTDIR)$(htmldir)/$$f"; \
	  fi; \
	done

TEXISRC = \
	$(srcdir)/libiberty.texi \
	$(srcdir)/copying-lib.texi \
	$(srcdir)/obstacks.texi \
	$(srcdir)/functions.texi

# Additional files that have texi snippets that need to be collected
# and sorted.  Some are here because the sources are imported from
# elsewhere.  Others represent headers in ../include.
TEXIFILES = fnmatch.txh pexecute.txh simple-object.txh

libiberty.info : $(srcdir)/libiberty.texi $(TEXISRC)
	$(MAKEINFO) -I$(srcdir) $(srcdir)/libiberty.texi

libiberty.dvi : $(srcdir)/libiberty.texi $(TEXISRC)
	texi2dvi $(srcdir)/libiberty.texi

=== binutils-2.23.90.20131116/builddir-aarch64-linux-gnu/opcodes/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



#
#   Copyright 2012 Free Software Foundation
#
# This file is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING3.  If not see
# <http://www.gnu.org/licenses/>.
#



VPATH = ../../opcodes
pkgdatadir = $(datadir)/opcodes
pkgincludedir = $(includedir)/opcodes
pkglibdir = $(libdir)/opcodes
pkglibexecdir = $(libexecdir)/opcodes
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
target_triplet = aarch64-unknown-linux-gnu
#am__append_1 = -rpath $(rpath_bfdlibdir)
subdir = .
DIST_COMMON = ChangeLog $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
	$(top_srcdir)/configure $(am__configure_deps) \
	$(srcdir)/config.in $(srcdir)/../mkinstalldirs \
	$(top_srcdir)/po/Make-in $(srcdir)/../depcomp
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/../bfd/acinclude.m4 \
	$(top_srcdir)/../config/zlib.m4 \
	$(top_srcdir)/../bfd/warning.m4 $(top_srcdir)/../config/acx.m4 \
	$(top_srcdir)/../config/depstand.m4 \
	$(top_srcdir)/../config/gettext-sister.m4 \
	$(top_srcdir)/../config/lead-dot.m4 \
	$(top_srcdir)/../config/nls.m4 \
	$(top_srcdir)/../config/override.m4 \
	$(top_srcdir)/../config/po.m4 \
	$(top_srcdir)/../config/progtest.m4 \
	$(top_srcdir)/../config/warnings.m4 \
	$(top_srcdir)/../libtool.m4 $(top_srcdir)/../ltoptions.m4 \
	$(top_srcdir)/../ltsugar.m4 $(top_srcdir)/../ltversion.m4 \
	$(top_srcdir)/../lt~obsolete.m4 $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = po/Makefile.in
CONFIG_CLEAN_VPATH_FILES =
LIBRARIES = $(noinst_LIBRARIES)
ARFLAGS = cru
libopcodes_a_AR = $(AR) $(ARFLAGS)
libopcodes_a_LIBADD =
am_libopcodes_a_OBJECTS =
libopcodes_a_OBJECTS = $(am_libopcodes_a_OBJECTS)
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__installdirs = "$(DESTDIR)$(bfdlibdir)" \
	"$(DESTDIR)$(bfdincludedir)"
LTLIBRARIES = $(bfdlib_LTLIBRARIES) $(noinst_LTLIBRARIES)
am__DEPENDENCIES_1 =
am_libopcodes_la_OBJECTS = dis-buf.lo disassemble.lo dis-init.lo
libopcodes_la_OBJECTS = $(am_libopcodes_la_OBJECTS)
libopcodes_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(libopcodes_la_LDFLAGS) $(LDFLAGS) -o $@
#am_libopcodes_la_rpath =
am_libopcodes_la_rpath = -rpath $(bfdlibdir)
DEFAULT_INCLUDES = -I. -I$(srcdir)
depcomp = $(SHELL) $(top_srcdir)/../depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(libopcodes_a_SOURCES) $(libopcodes_la_SOURCES) \
	$(EXTRA_libopcodes_la_SOURCES)
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
DATA = $(bfdinclude_DATA)
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
ACLOCAL = ${SHELL} /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/missing --run aclocal-1.11
AMTAR = ${SHELL} /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/missing --run autoconf
AUTOHEADER = ${SHELL} /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/missing --run autoheader
AUTOMAKE = ${SHELL} /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/missing --run automake-1.11
AWK = gawk
BFD_MACHINES =  aarch64-asm.lo aarch64-dis.lo aarch64-opc.lo aarch64-asm-2.lo aarch64-dis-2.lo aarch64-opc-2.lo arm-dis.lo
BUILD_LIBS = ../libiberty/libiberty.a 
BUILD_LIB_DEPS = ../libiberty/libiberty.a 
CATALOGS =  da.gmo de.gmo es.gmo fi.gmo fr.gmo ga.gmo id.gmo it.gmo nl.gmo pt_BR.gmo ro.gmo sv.gmo tr.gmo uk.gmo vi.gmo zh_CN.gmo
CATOBJEXT = .gmo
CC = gcc
CCDEPMODE = depmode=gcc3
CC_FOR_BUILD = gcc
CFLAGS = -g -O2 -Wno-format-security
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DATADIRNAME = share
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
EXEEXT_FOR_BUILD = $(EXEEXT)
FGREP = /bin/grep -F
GENCAT = gencat
GMSGFMT = /usr/bin/msgfmt
GREP = /bin/grep
HDEFINES = 
INCINTL = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = /usr/bin/install -c -m 644
INSTALL_PROGRAM = /usr/bin/install -c
INSTALL_SCRIPT = /usr/bin/install -c
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INSTOBJEXT = .mo
LD = ld -m elf_x86_64
LDFLAGS = -static-libstdc++ -static-libgcc 
LIBINTL = 
LIBINTL_DEP = 
LIBM = -lm
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAKEINFO = makeinfo --split-size=5000000
MKDIR_P = /bin/mkdir -p
MKINSTALLDIRS = $(top_builddir)/../../opcodes/../mkinstalldirs
MSGFMT = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
NM = nm
NMEDIT = 
NO_WERROR = -Wno-error
NO_WMISSING_FIELD_INITIALIZERS = -Wno-missing-field-initializers
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = opcodes
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_URL = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
POSUB = po
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHARED_DEPENDENCIES = ../bfd/libbfd.la
SHARED_LDFLAGS = 
SHARED_LIBADD = -Wl,/scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/builddir-aarch64-linux-gnu/opcodes/../bfd/.libs/libbfd.so -L/scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/builddir-aarch64-linux-gnu/opcodes/../libiberty/pic -liberty -Wl,-lc,--as-needed,-lm,--no-as-needed
SHELL = /bin/bash
STRIP = strip
USE_NLS = yes
VERSION = 2.23.90
WARN_CFLAGS = -W -Wall -Wstrict-prototypes -Wmissing-prototypes -Wshadow -Werror
XGETTEXT = /usr/bin/xgettext
abs_builddir = /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/builddir-aarch64-linux-gnu/opcodes
abs_srcdir = /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/builddir-aarch64-linux-gnu/opcodes/../../opcodes
abs_top_builddir = /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/builddir-aarch64-linux-gnu/opcodes
abs_top_srcdir = /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/builddir-aarch64-linux-gnu/opcodes/../../opcodes
ac_ct_CC = 
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
archdefs =  -DARCH_aarch64 -DARCH_arm
#bfdincludedir = 
bfdincludedir = $(exec_prefix)/$(host_noncanonical)/$(target_noncanonical)/include
# Empty these so that the respective installation directories will not be created.
#bfdlibdir = 
bfdlibdir = $(exec_prefix)/$(host_noncanonical)/$(target_noncanonical)/lib
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = x86_64-linux-gnu
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
cgendir = $(srcdir)/../cgen
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = x86_64-linux-gnu
host_cpu = x86_64
host_noncanonical = x86_64-linux-gnu
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s&^&aarch64-linux-gnu-&
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = ../../opcodes
sysconfdir = ${prefix}/etc
target = aarch64-unknown-linux-gnu
target_alias = aarch64-linux-gnu
target_cpu = aarch64
target_noncanonical = aarch64-linux-gnu
target_os = linux-gnu
target_vendor = unknown
top_build_prefix = 
top_builddir = .
top_srcdir = ../../opcodes
AUTOMAKE_OPTIONS = 1.11 foreign no-dist
ACLOCAL_AMFLAGS = -I .. -I ../config -I ../bfd

# Build '.' first so all generated files exist.
SUBDIRS = . po
INCDIR = $(srcdir)/../include
BFDDIR = $(srcdir)/../bfd
AM_CFLAGS = $(WARN_CFLAGS)
COMPILE_FOR_BUILD = $(CC_FOR_BUILD) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CFLAGS_FOR_BUILD)

LINK_FOR_BUILD = $(CC_FOR_BUILD) $(CFLAGS_FOR_BUILD) \
	$(LDFLAGS_FOR_BUILD) -o $@

libopcodes_la_LDFLAGS = $(am__append_1) -release `cat \

=== binutils-2.23.90.20131116/builddir-aarch64-linux-gnu/bfd/doc/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# doc/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



#
#   Copyright 2012 Free Software Foundation
#
# This file is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING3.  If not see
# <http://www.gnu.org/licenses/>.
#
VPATH = ../../../bfd/doc
pkgdatadir = $(datadir)/bfd
pkgincludedir = $(includedir)/bfd
pkglibdir = $(libdir)/bfd
pkglibexecdir = $(libexecdir)/bfd
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
target_triplet = aarch64-unknown-linux-gnu

# Automake 1.9 will only build info files in the objdir if they are
# mentioned in DISTCLEANFILES.  It doesn't have to be unconditional,
# though, so we use a bogus condition.
#am__append_1 = bfd.info
subdir = doc
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
	$(bfd_TEXINFOS)
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/../config/acx.m4 \
	$(top_srcdir)/../config/depstand.m4 \
	$(top_srcdir)/../config/gettext-sister.m4 \
	$(top_srcdir)/../config/largefile.m4 \
	$(top_srcdir)/../config/lead-dot.m4 \
	$(top_srcdir)/../config/nls.m4 \
	$(top_srcdir)/../config/override.m4 \
	$(top_srcdir)/../config/plugins.m4 \
	$(top_srcdir)/../config/po.m4 \
	$(top_srcdir)/../config/progtest.m4 \
	$(top_srcdir)/../config/stdint.m4 $(top_srcdir)/../libtool.m4 \
	$(top_srcdir)/../ltoptions.m4 $(top_srcdir)/../ltsugar.m4 \
	$(top_srcdir)/../ltversion.m4 $(top_srcdir)/../lt~obsolete.m4 \
	$(top_srcdir)/bfd.m4 $(top_srcdir)/warning.m4 \
	$(top_srcdir)/acinclude.m4 $(top_srcdir)/../config/zlib.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
depcomp =
am__depfiles_maybe =
SOURCES =
INFO_DEPS = bfd.info
TEXINFO_TEX = $(top_srcdir)/../texinfo/texinfo.tex
am__TEXINFO_TEX_DIR = $(top_srcdir)/../texinfo
DVIS = bfd.dvi
PDFS = bfd.pdf
PSS = bfd.ps
HTMLS = bfd.html
TEXINFOS = bfd.texinfo
TEXI2DVI = `if test -f $(top_srcdir)/../texinfo/util/texi2dvi; then \
             echo $(top_srcdir)/../texinfo/util/texi2dvi; \
           else \
             echo texi2dvi; \
           fi`
TEXI2PDF = $(TEXI2DVI) --pdf --batch
MAKEINFOHTML = $(MAKEINFO) --html
AM_MAKEINFOHTMLFLAGS = $(AM_MAKEINFOFLAGS)
DVIPS = dvips
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
ACLOCAL = ${SHELL} /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/missing --run aclocal-1.11
AMTAR = ${SHELL} /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/missing --run autoconf
AUTOHEADER = ${SHELL} /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/missing --run autoheader
AUTOMAKE = ${SHELL} /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/missing --run automake-1.11
AWK = gawk
BFD_HOSTPTR_T = unsigned long
BFD_HOST_64BIT_LONG = 1
BFD_HOST_64BIT_LONG_LONG = 0
BFD_HOST_64_BIT = long
BFD_HOST_64_BIT_DEFINED = 1
BFD_HOST_U_64_BIT = unsigned long
CATALOGS =  da.gmo es.gmo fi.gmo fr.gmo id.gmo ja.gmo ro.gmo ru.gmo rw.gmo sv.gmo tr.gmo uk.gmo vi.gmo zh_CN.gmo
CATOBJEXT = .gmo
CC = gcc
CCDEPMODE = depmode=gcc3
CC_FOR_BUILD = gcc
CFLAGS = -g -O2 -Wno-format-security
COREFILE = 
COREFLAG = 
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DATADIRNAME = share
DEBUGDIR = ${exec_prefix}/lib/debug
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
EXEEXT_FOR_BUILD = $(EXEEXT)
FGREP = /bin/grep -F
GENCAT = gencat
GMSGFMT = /usr/bin/msgfmt
GREP = /bin/grep
HDEFINES = 
INCINTL = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = /usr/bin/install -c -m 644
INSTALL_PROGRAM = /usr/bin/install -c
INSTALL_SCRIPT = /usr/bin/install -c
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INSTOBJEXT = .mo
LD = ld -m elf_x86_64
LDFLAGS = -static-libstdc++ -static-libgcc 
LIBINTL = 
LIBINTL_DEP = 
LIBM = -lm
LIBOBJS = 
LIBS = -lz 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAKEINFO = makeinfo --split-size=5000000
MKDIR_P = /bin/mkdir -p
MKINSTALLDIRS = $(top_builddir)/../../bfd/../mkinstalldirs
MSGFMT = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
NM = nm
NMEDIT = 
NO_WERROR = -Wno-error
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = bfd
PACKAGE_BUGREPORT = 
PACKAGE_NAME = bfd
PACKAGE_STRING = bfd 2.23.90
PACKAGE_TARNAME = bfd
PACKAGE_URL = 
PACKAGE_VERSION = 2.23.90
PATH_SEPARATOR = :
PKGVERSION = (GNU Binutils for Ubuntu) 
POSUB = po
RANLIB = ranlib
REPORT_BUGS_TEXI = @uref{http://www.sourceware.org/bugzilla/}
REPORT_BUGS_TO = <http://www.sourceware.org/bugzilla/>
SED = /bin/sed
SET_MAKE = 
SHARED_LDFLAGS = 
SHARED_LIBADD = -L/scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/builddir-aarch64-linux-gnu/bfd/../libiberty/pic -liberty -Wl,-lc,--as-needed,-lm,--no-as-needed
SHELL = /bin/bash
STRIP = strip
TDEFINES =   
USE_NLS = yes
VERSION = 2.23.90
WARN_CFLAGS = -W -Wall -Wstrict-prototypes -Wmissing-prototypes -Wshadow -Werror
XGETTEXT = /usr/bin/xgettext
abs_builddir = /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/builddir-aarch64-linux-gnu/bfd/doc
abs_srcdir = /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/builddir-aarch64-linux-gnu/bfd/../../bfd/doc
abs_top_builddir = /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/builddir-aarch64-linux-gnu/bfd
abs_top_srcdir = /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/builddir-aarch64-linux-gnu/bfd/../../bfd
ac_ct_CC = 
ac_ct_DUMPBIN = 
all_backends = $(BFD64_BACKENDS) $(BFD32_BACKENDS)
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bfd64_libs = $(BFD64_LIBS)
bfd_backends =  elf64-aarch64.lo elfxx-aarch64.lo elf-ifunc.lo elf64.lo elf.lo elflink.lo elf-attrs.lo elf-strtab.lo elf-eh-frame.lo dwarf1.lo elf32-aarch64.lo elf32.lo elf32-arm.lo elf-nacl.lo elf-vxworks.lo elf64-gen.lo elf32-gen.lo plugin.lo
bfd_default_target_size = 64
bfd_file_ptr = BFD_HOST_64_BIT
bfd_machines =  cpu-aarch64.lo cpu-arm.lo cpu-plugin.lo
bfd_ufile_ptr = BFD_HOST_U_64_BIT
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = x86_64-linux-gnu
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
havevecs = -DHAVE_bfd_elf64_littleaarch64_vec -DHAVE_bfd_elf64_bigaarch64_vec -DHAVE_bfd_elf32_littleaarch64_vec -DHAVE_bfd_elf32_bigaarch64_vec -DHAVE_bfd_elf32_littlearm_vec -DHAVE_bfd_elf32_bigarm_vec -DHAVE_bfd_elf64_little_generic_vec -DHAVE_bfd_elf64_big_generic_vec -DHAVE_bfd_elf32_little_generic_vec -DHAVE_bfd_elf32_big_generic_vec -DHAVE_plugin_vec
host = x86_64-pc-linux-gnu
host_alias = x86_64-linux-gnu
host_cpu = x86_64
host_noncanonical = x86_64-linux-gnu
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /scratch/packages/cross/binutils-arm64-cross-0.10/binutils-2.23.90.20131116/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lt_cv_dlopen_libs = -ldl
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s&^&aarch64-linux-gnu-&
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = ../../../bfd/doc
supports_plugins = 1
sysconfdir = ${prefix}/etc
target = aarch64-unknown-linux-gnu
target_alias = aarch64-linux-gnu
target_cpu = aarch64
target_noncanonical = aarch64-linux-gnu
target_os = linux-gnu
target_vendor = unknown
tdefaults =  -DDEFAULT_VECTOR=bfd_elf64_littleaarch64_vec -DSELECT_VECS='&bfd_elf64_littleaarch64_vec,&bfd_elf64_bigaarch64_vec,&bfd_elf32_littleaarch64_vec,&bfd_elf32_bigaarch64_vec,&bfd_elf32_littlearm_vec,&bfd_elf32_bigarm_vec,&bfd_elf64_little_generic_vec,&bfd_elf64_big_generic_vec,&bfd_elf32_little_generic_vec,&bfd_elf32_big_generic_vec,&plugin_vec' -DSELECT_ARCHITECTURES='&bfd_aarch64_arch,&bfd_arm_arch,&bfd_plugin_arch'
top_build_prefix = ../
top_builddir = ..
top_srcdir = ../../../bfd
wordsize = 64
AUTOMAKE_OPTIONS = 1.9 cygnus
DOCFILES = aoutx.texi  archive.texi archures.texi \
	bfdt.texi  cache.texi coffcode.texi \
	core.texi elf.texi elfcode.texi  format.texi \
	libbfd.texi bfdwin.texi bfdio.texi \
	opncls.texi  reloc.texi  section.texi  \
	syms.texi  targets.texi init.texi hash.texi linker.texi \
	mmo.texi \
	bfdver.texi

PROTOS = archive.p archures.p bfd.p \
	 core.p format.p \
	bfdio.p bfdwin.p \
	libbfd.p opncls.p reloc.p \
	section.p syms.p targets.p  \
	format.p  core.p init.p

IPROTOS = cache.ip libbfd.ip reloc.ip init.ip archures.ip coffcode.ip

# SRCDOC, SRCPROT, SRCIPROT only used to sidestep Sun Make bug in interaction 
# between VPATH and suffix rules.  If you use GNU Make, perhaps other Makes,
# you don't need these three:
SRCDOC = $(srcdir)/../aoutx.h  $(srcdir)/../archive.c \
	$(srcdir)/../archures.c $(srcdir)/../bfd.c \
	$(srcdir)/../bfdio.c $(srcdir)/../bfdwin.c \
	$(srcdir)/../cache.c $(srcdir)/../coffcode.h \
	$(srcdir)/../corefile.c $(srcdir)/../elf.c \

=== binutils-2.23.90.20131116/builddir-aarch64-linux-gnu/bfd/po/Makefile ===
# Makefile for program source directory in GNU NLS utilities package.
# Copyright (C) 1995, 1996, 1997 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
# Copyright 2001, 2003, 2006, 2007, 2009 Free Software Foundation, Inc.
#
# This file may be copied and used freely without restrictions.  It can
# be used in projects which are not available under the GNU Public License
# but which still want to provide support for the GNU gettext functionality.
# Please note that the actual code is *not* freely available.

PACKAGE = bfd
VERSION = 2.23.90

SHELL = /bin/sh


srcdir = ../../../bfd/po
top_srcdir = ../../../bfd
VPATH = ../../../bfd/po
top_builddir = ..

prefix = /usr
exec_prefix = ${prefix}
datadir = $(prefix)/share
localedir = $(datadir)/locale
gnulocaledir = $(prefix)/share/locale
gettextsrcdir = $(prefix)/share/gettext/po
subdir = po

DESTDIR =

INSTALL = /usr/bin/install -c
INSTALL_DATA = /usr/bin/install -c -m 644
MKINSTALLDIRS = $(top_builddir)/../../bfd/../mkinstalldirs

CC = gcc
GENCAT = gencat
GMSGFMT = PATH=../src:$$PATH /usr/bin/msgfmt
MSGFMT = /usr/bin/msgfmt
XGETTEXT = PATH=../src:$$PATH /usr/bin/xgettext
MSGMERGE = PATH=../src:$$PATH msgmerge

DEFS = -DHAVE_CONFIG_H
CFLAGS = -g -O2 -Wno-format-security
CPPFLAGS = 

INCLUDES = -I.. -I$(top_srcdir)/intl

COMPILE = $(CC) -c $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS) $(XCFLAGS)

SOURCES = cat-id-tbl.c
POFILES =  $(srcdir)/fr.po $(srcdir)/tr.po $(srcdir)/ja.po $(srcdir)/es.po $(srcdir)/sv.po $(srcdir)/da.po $(srcdir)/zh_CN.po $(srcdir)/ro.po $(srcdir)/rw.po $(srcdir)/vi.po $(srcdir)/fi.po $(srcdir)/id.po $(srcdir)/ru.po $(srcdir)/uk.po
GMOFILES =  $(srcdir)/fr.gmo $(srcdir)/tr.gmo $(srcdir)/ja.gmo $(srcdir)/es.gmo $(srcdir)/sv.gmo $(srcdir)/da.gmo $(srcdir)/zh_CN.gmo $(srcdir)/ro.gmo $(srcdir)/rw.gmo $(srcdir)/vi.gmo $(srcdir)/fi.gmo $(srcdir)/id.gmo $(srcdir)/ru.gmo $(srcdir)/uk.gmo
DISTFILES = ChangeLog Makefile.in.in SRC-POTFILES.in BLD-POTFILES.in $(PACKAGE).pot \
stamp-cat-id $(POFILES) $(GMOFILES) $(SOURCES)

# Note - the following line gets processed by bfd/configure and amended
# to contain the full list of source dir POTFILES.
SRC-POTFILES = \
	../../../bfd/aix386-core.c \
	../../../bfd/aix5ppc-core.c \
	../../../bfd/aout-adobe.c \
	../../../bfd/aout-arm.c \
	../../../bfd/aout-cris.c \
	../../../bfd/aout-ns32k.c \
	../../../bfd/aout-sparcle.c \
	../../../bfd/aout-target.h \
	../../../bfd/aout-tic30.c \
	../../../bfd/aout0.c \
	../../../bfd/aout32.c \
	../../../bfd/aout64.c \
	../../../bfd/aoutf1.h \
	../../../bfd/aoutx.h \
	../../../bfd/archive.c \
	../../../bfd/archive64.c \
	../../../bfd/archures.c \
	../../../bfd/armnetbsd.c \
	../../../bfd/bfd.c \
	../../../bfd/bfdio.c \
	../../../bfd/bfdwin.c \
	../../../bfd/binary.c \
	../../../bfd/bout.c \
	../../../bfd/cache.c \
	../../../bfd/cf-i386lynx.c \
	../../../bfd/cf-sparclynx.c \
	../../../bfd/cisco-core.c \
	../../../bfd/coff-alpha.c \
	../../../bfd/coff-apollo.c \
	../../../bfd/coff-arm.c \
	../../../bfd/coff-aux.c \
	../../../bfd/coff-go32.c \
	../../../bfd/coff-h8300.c \
	../../../bfd/coff-h8500.c \
	../../../bfd/coff-i386.c \
	../../../bfd/coff-i860.c \
	../../../bfd/coff-i960.c \
	../../../bfd/coff-m68k.c \
	../../../bfd/coff-m88k.c \
	../../../bfd/coff-mips.c \
	../../../bfd/coff-or32.c \
	../../../bfd/coff-rs6000.c \
	../../../bfd/coff-sh.c \
	../../../bfd/coff-sparc.c \
	../../../bfd/coff-stgo32.c \
	../../../bfd/coff-svm68k.c \
	../../../bfd/coff-tic30.c \
	../../../bfd/coff-tic4x.c \
	../../../bfd/coff-tic54x.c \
	../../../bfd/coff-tic80.c \
	../../../bfd/coff-u68k.c \
	../../../bfd/coff-w65.c \
	../../../bfd/coff-we32k.c \
	../../../bfd/coff-x86_64.c \
	../../../bfd/coff-z80.c \
	../../../bfd/coff-z8k.c \
	../../../bfd/coff64-rs6000.c \
	../../../bfd/coffcode.h \
	../../../bfd/coffgen.c \
	../../../bfd/cofflink.c \
	../../../bfd/coffswap.h \
	../../../bfd/compress.c \
	../../../bfd/corefile.c \
	../../../bfd/cpu-aarch64.c \
	../../../bfd/cpu-alpha.c \
	../../../bfd/cpu-arc.c \
	../../../bfd/cpu-arm.c \
	../../../bfd/cpu-avr.c \
	../../../bfd/cpu-bfin.c \
	../../../bfd/cpu-cr16.c \
	../../../bfd/cpu-cr16c.c \
	../../../bfd/cpu-cris.c \
	../../../bfd/cpu-crx.c \
	../../../bfd/cpu-d10v.c \
	../../../bfd/cpu-d30v.c \
	../../../bfd/cpu-dlx.c \
	../../../bfd/cpu-epiphany.c \
	../../../bfd/cpu-fr30.c \
	../../../bfd/cpu-frv.c \
	../../../bfd/cpu-h8300.c \
	../../../bfd/cpu-h8500.c \
	../../../bfd/cpu-hppa.c \
	../../../bfd/cpu-i370.c \
	../../../bfd/cpu-i386.c \
	../../../bfd/cpu-i860.c \
	../../../bfd/cpu-i960.c \
	../../../bfd/cpu-ia64.c \
	../../../bfd/cpu-ip2k.c \
	../../../bfd/cpu-iq2000.c \
	../../../bfd/cpu-k1om.c \
	../../../bfd/cpu-l1om.c \
	../../../bfd/cpu-lm32.c \
	../../../bfd/cpu-m10200.c \
	../../../bfd/cpu-m10300.c \
	../../../bfd/cpu-m32c.c \
	../../../bfd/cpu-m32r.c \
	../../../bfd/cpu-m68hc11.c \
	../../../bfd/cpu-m68hc12.c \
	../../../bfd/cpu-m68k.c \
	../../../bfd/cpu-m88k.c \
	../../../bfd/cpu-m9s12x.c \
	../../../bfd/cpu-m9s12xg.c \
	../../../bfd/cpu-mcore.c \
	../../../bfd/cpu-mep.c \
	../../../bfd/cpu-metag.c \
	../../../bfd/cpu-microblaze.c \
	../../../bfd/cpu-mips.c \
	../../../bfd/cpu-mmix.c \
	../../../bfd/cpu-moxie.c \
	../../../bfd/cpu-msp430.c \
	../../../bfd/cpu-mt.c \
	../../../bfd/cpu-nios2.c \
	../../../bfd/cpu-ns32k.c \
	../../../bfd/cpu-openrisc.c \
	../../../bfd/cpu-or32.c \
	../../../bfd/cpu-pdp11.c \
	../../../bfd/cpu-pj.c \
	../../../bfd/cpu-plugin.c \
	../../../bfd/cpu-powerpc.c \
	../../../bfd/cpu-rl78.c \
	../../../bfd/cpu-rs6000.c \
	../../../bfd/cpu-rx.c \
	../../../bfd/cpu-s390.c \
	../../../bfd/cpu-score.c \
	../../../bfd/cpu-sh.c \
	../../../bfd/cpu-sparc.c \
	../../../bfd/cpu-spu.c \
	../../../bfd/cpu-tic30.c \
	../../../bfd/cpu-tic4x.c \
	../../../bfd/cpu-tic54x.c \
	../../../bfd/cpu-tic6x.c \
	../../../bfd/cpu-tic80.c \
	../../../bfd/cpu-tilegx.c \
	../../../bfd/cpu-tilepro.c \
	../../../bfd/cpu-v850.c \
	../../../bfd/cpu-v850_rh850.c \
	../../../bfd/cpu-vax.c \
	../../../bfd/cpu-w65.c \
	../../../bfd/cpu-we32k.c \
	../../../bfd/cpu-xc16x.c \
	../../../bfd/cpu-xgate.c \
	../../../bfd/cpu-xstormy16.c \
	../../../bfd/cpu-xtensa.c \
	../../../bfd/cpu-z80.c \
	../../../bfd/cpu-z8k.c \
	../../../bfd/demo64.c \
	../../../bfd/dwarf1.c \
	../../../bfd/dwarf2.c \
	../../../bfd/ecoff.c \
	../../../bfd/ecofflink.c \
	../../../bfd/ecoffswap.h \
	../../../bfd/elf-attrs.c \
	../../../bfd/elf-bfd.h \
	../../../bfd/elf-eh-frame.c \
	../../../bfd/elf-hppa.h \
	../../../bfd/elf-ifunc.c \
	../../../bfd/elf-linux-psinfo.h \
	../../../bfd/elf-m10200.c \
	../../../bfd/elf-m10300.c \
	../../../bfd/elf-nacl.c \
	../../../bfd/elf-strtab.c \
	../../../bfd/elf-vxworks.c \
	../../../bfd/elf.c \
	../../../bfd/elf32-am33lin.c \
	../../../bfd/elf32-arc.c \
	../../../bfd/elf32-arm.c \
	../../../bfd/elf32-avr.c \
	../../../bfd/elf32-bfin.c \
	../../../bfd/elf32-cr16.c \
	../../../bfd/elf32-cr16c.c \
	../../../bfd/elf32-cris.c \
	../../../bfd/elf32-crx.c \
	../../../bfd/elf32-d10v.c \
	../../../bfd/elf32-d30v.c \
	../../../bfd/elf32-dlx.c \
	../../../bfd/elf32-epiphany.c \
	../../../bfd/elf32-fr30.c \
	../../../bfd/elf32-frv.c \
	../../../bfd/elf32-gen.c \
	../../../bfd/elf32-h8300.c \
	../../../bfd/elf32-hppa.c \
	../../../bfd/elf32-hppa.h \
	../../../bfd/elf32-i370.c \
	../../../bfd/elf32-i386.c \
	../../../bfd/elf32-i860.c \
	../../../bfd/elf32-i960.c \
	../../../bfd/elf32-ip2k.c \
	../../../bfd/elf32-iq2000.c \
	../../../bfd/elf32-lm32.c \
	../../../bfd/elf32-m32c.c \
	../../../bfd/elf32-m32r.c \
	../../../bfd/elf32-m68hc11.c \
	../../../bfd/elf32-m68hc12.c \
	../../../bfd/elf32-m68hc1x.c \
	../../../bfd/elf32-m68k.c \
	../../../bfd/elf32-m88k.c \
	../../../bfd/elf32-mcore.c \
	../../../bfd/elf32-mep.c \
	../../../bfd/elf32-metag.c \
	../../../bfd/elf32-microblaze.c \
	../../../bfd/elf32-mips.c \
	../../../bfd/elf32-moxie.c \
	../../../bfd/elf32-msp430.c \
	../../../bfd/elf32-mt.c \
	../../../bfd/elf32-nios2.c \
	../../../bfd/elf32-openrisc.c \
	../../../bfd/elf32-or32.c \
	../../../bfd/elf32-pj.c \
	../../../bfd/elf32-ppc.c \
	../../../bfd/elf32-rl78.c \
	../../../bfd/elf32-rx.c \
	../../../bfd/elf32-s390.c \
	../../../bfd/elf32-score.c \
	../../../bfd/elf32-score7.c \
	../../../bfd/elf32-sh-symbian.c \
	../../../bfd/elf32-sh.c \
	../../../bfd/elf32-sh64-com.c \
	../../../bfd/elf32-sh64.c \
	../../../bfd/elf32-sparc.c \
	../../../bfd/elf32-spu.c \
	../../../bfd/elf32-tic6x.c \
	../../../bfd/elf32-tilegx.c \
	../../../bfd/elf32-tilepro.c \
	../../../bfd/elf32-v850.c \
	../../../bfd/elf32-vax.c \
	../../../bfd/elf32-xc16x.c \
	../../../bfd/elf32-xgate.c \
	../../../bfd/elf32-xstormy16.c \
	../../../bfd/elf32-xtensa.c \
	../../../bfd/elf32.c \
	../../../bfd/elf64-alpha.c \
	../../../bfd/elf64-gen.c \
	../../../bfd/elf64-hppa.c \
	../../../bfd/elf64-hppa.h \
	../../../bfd/elf64-ia64-vms.c \
	../../../bfd/elf64-mips.c \
	../../../bfd/elf64-mmix.c \
	../../../bfd/elf64-ppc.c \
	../../../bfd/elf64-s390.c \
	../../../bfd/elf64-sh64.c \
	../../../bfd/elf64-sparc.c \
	../../../bfd/elf64-tilegx.c \
	../../../bfd/elf64-x86-64.c \
	../../../bfd/elf64.c \
	../../../bfd/elfcode.h \
	../../../bfd/elfcore.h \
	../../../bfd/elflink.c \
	../../../bfd/elfn32-mips.c \
	../../../bfd/elfxx-aarch64.c \
	../../../bfd/elfxx-ia64.c \
	../../../bfd/elfxx-mips.c \
	../../../bfd/elfxx-sparc.c \
	../../../bfd/elfxx-tilegx.c \
	../../../bfd/epoc-pe-arm.c \
	../../../bfd/epoc-pei-arm.c \
	../../../bfd/format.c \
	../../../bfd/freebsd.h \
	../../../bfd/genlink.h \
	../../../bfd/go32stub.h \
	../../../bfd/hash.c \
	../../../bfd/hp300bsd.c \
	../../../bfd/hp300hpux.c \
	../../../bfd/hpux-core.c \
	../../../bfd/i386aout.c \
	../../../bfd/i386bsd.c \
	../../../bfd/i386dynix.c \
	../../../bfd/i386freebsd.c \
	../../../bfd/i386linux.c \
	../../../bfd/i386lynx.c \
	../../../bfd/i386mach3.c \
	../../../bfd/i386msdos.c \
	../../../bfd/i386netbsd.c \
	../../../bfd/i386os9k.c \
	../../../bfd/ieee.c \
	../../../bfd/ihex.c \
	../../../bfd/init.c \
	../../../bfd/irix-core.c \
	../../../bfd/libaout.h \
	../../../bfd/libbfd.c \
	../../../bfd/libbfd.h \
	../../../bfd/libcoff.h \
	../../../bfd/libecoff.h \
	../../../bfd/libhppa.h \
	../../../bfd/libieee.h \
	../../../bfd/libnlm.h \
	../../../bfd/liboasys.h \
	../../../bfd/libpei.h \
	../../../bfd/libxcoff.h \
	../../../bfd/linker.c \
	../../../bfd/lynx-core.c \
	../../../bfd/m68k4knetbsd.c \
	../../../bfd/m68klinux.c \
	../../../bfd/m68knetbsd.c \
	../../../bfd/m88kmach3.c \
	../../../bfd/m88kopenbsd.c \
	../../../bfd/mach-o-i386.c \
	../../../bfd/mach-o-x86-64.c \
	../../../bfd/mach-o.c \
	../../../bfd/mach-o.h \
	../../../bfd/merge.c \
	../../../bfd/mipsbsd.c \
	../../../bfd/mmo.c \
	../../../bfd/netbsd.h \
	../../../bfd/newsos3.c \
	../../../bfd/nlm-target.h \
	../../../bfd/nlm.c \
	../../../bfd/nlm32-alpha.c \
	../../../bfd/nlm32-i386.c \
	../../../bfd/nlm32-ppc.c \
	../../../bfd/nlm32-sparc.c \
	../../../bfd/nlm32.c \
	../../../bfd/nlm64.c \
	../../../bfd/nlmcode.h \
	../../../bfd/nlmswap.h \
	../../../bfd/ns32k.h \
	../../../bfd/ns32knetbsd.c \
	../../../bfd/oasys.c \
	../../../bfd/opncls.c \
	../../../bfd/osf-core.c \
	../../../bfd/pc532-mach.c \
	../../../bfd/pdp11.c \
	../../../bfd/pe-arm-wince.c \
	../../../bfd/pe-arm.c \
	../../../bfd/pe-i386.c \
	../../../bfd/pe-mcore.c \
	../../../bfd/pe-mips.c \
	../../../bfd/pe-ppc.c \
	../../../bfd/pe-sh.c \
	../../../bfd/pe-x86_64.c \
	../../../bfd/pef-traceback.h \
	../../../bfd/pef.c \
	../../../bfd/pef.h \
	../../../bfd/pei-arm-wince.c \
	../../../bfd/pei-arm.c \
	../../../bfd/pei-i386.c \
	../../../bfd/pei-ia64.c \
	../../../bfd/pei-mcore.c \
	../../../bfd/pei-mips.c \
	../../../bfd/pei-ppc.c \
	../../../bfd/pei-sh.c \
	../../../bfd/pei-x86_64.c \
	../../../bfd/peicode.h \
	../../../bfd/plugin.c \
	../../../bfd/ppcboot.c \
	../../../bfd/reloc.c \
	../../../bfd/reloc16.c \
	../../../bfd/riscix.c \
	../../../bfd/rs6000-core.c \
	../../../bfd/sco5-core.c \
	../../../bfd/section.c \
	../../../bfd/simple.c \
	../../../bfd/som.c \
	../../../bfd/som.h \
	../../../bfd/sparclinux.c \

=== binutils-2.23.90.20131116/debian/changelog ===
binutils (2.23.90.20131116-1ubuntu2) trusty; urgency=low

  * On AArch64, don't set LIBPATH_SUFFIX to 64.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Nov 2013 13:31:11 +0200

binutils (2.23.90.20131116-1ubuntu1) trusty; urgency=low

  * Merge with Debian; remaining changes:
    - Build from the upstream source.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Nov 2013 13:54:31 +0100

binutils (2.23.90.20131116-1) unstable; urgency=low

  * New upstream snapshot, taken from the 2.24 branch.

 -- Matthias Klose <doko@debian.org>  Sat, 16 Nov 2013 12:40:28 +0100

binutils (2.23.90.20131017-1ubuntu1) saucy; urgency=low

  * Merge with Debian; remaining changes:
    - Build from the upstream source.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Oct 2013 14:27:21 +0200

binutils (2.23.90.20131017-1) unstable; urgency=low

  * New upstream snapshot, taken from the 2.24 branch.

 -- Matthias Klose <doko@debian.org>  Thu, 17 Oct 2013 14:22:05 +0200

binutils (2.23.90.20130927-1ubuntu1) saucy; urgency=low

  * Merge with Debian; remaining changes:
    - Build from the upstream source.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 27 Sep 2013 16:22:51 +0200

binutils (2.23.90.20130927-1) unstable; urgency=low

  * New upstream snapshot, taken from the 2.24 branch.
  * Add ifunc support for AArch64.

 -- Matthias Klose <doko@debian.org>  Fri, 27 Sep 2013 14:05:44 +0200

binutils (2.23.52.20130913-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 13 Sep 2013 13:52:59 +0200

binutils (2.23.52.20130828-1ubuntu1) saucy; urgency=low

  * Merge with Debian; remaining changes:
    - Build from the upstream source.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 28 Aug 2013 15:25:50 +0200

binutils (2.23.52.20130828-1) unstable; urgency=low

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Wed, 28 Aug 2013 15:22:51 +0200

binutils (2.23.52.20130727-1ubuntu1) saucy; urgency=low

  * Merge with Debian; remaining changes:
    - Build from the upstream source.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 27 Jul 2013 11:29:57 +0200

binutils (2.23.52.20130727-1) unstable; urgency=low

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Sat, 27 Jul 2013 10:37:11 +0200

binutils (2.23.52.20130722-1ubuntu1) saucy; urgency=low

  * Merge with Debian; remaining changes:
    - Build from the upstream source.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Jul 2013 22:37:02 +0200

binutils (2.23.52.20130722-1) unstable; urgency=low

  * New upstream snapshot.
    - Fix PR ld/15762, glibc being built without warning sections.
  * Set the libdir for arm64 to lib, not lib64.
  * Stop building the binutils-gold package, let binutils provide
    binutils-gold.  Packages requiring gold should explicity pass
    -fuse-ld=gold to the compiler, packages requiring the bfd linker
    should pass -fuse-ld=bfd to the compiler.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Mon, 22 Jul 2013 21:13:32 +0200

binutils (2.23.52.20130620-1ubuntu1) saucy; urgency=low

  * Merge with Debian; remaining changes:
    - Build from the upstream source.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Jun 2013 12:31:29 +0200

binutils (2.23.52.20130620-1) unstable; urgency=low

  * New upstream snapshot.
  * Add conflicts with mingw binutils. Closes: #712057, #712063.
  * Always compare the test results with the ones from the installed binutils.

 -- Matthias Klose <doko@debian.org>  Thu, 20 Jun 2013 12:27:31 +0200

binutils (2.23.52.20130612-1ubuntu1) saucy; urgency=low

  * Merge with Debian; remaining changes:
    - Build from the upstream source.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Jun 2013 12:26:59 +0200

binutils (2.23.52.20130612-1) unstable; urgency=low

  * New upstream snapshot.
    - Fix issue #15323, redefining weak functions in -flto incrementally-linked
      executable. Closes: #710936.
  * Install libiberty.a again in binutils-dev, not installed anymore upstream
    by default.
  * Import the autopkg tests from Ubuntu.
  * Enable i386pep emulation for the x86 builds. Closes: #703463.
  * Fix typo in ld(1). Closes: #704867.
  * Add mips64(el) support (YunQiang Su). Closes: #710214.

 -- Matthias Klose <doko@debian.org>  Wed, 12 Jun 2013 11:35:05 +0200

binutils (2.23.52.20130611-1ubuntu2) saucy; urgency=low

  * Restore lost changes from 2.23.2-2ubuntu2 and 2.23.2-2ubuntu3.
  * Install libiberty.a alongside libiberty_pic.a in binutils-dev.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 11 Jun 2013 20:45:00 -0600

binutils (2.23.52.20130611-1ubuntu1) saucy; urgency=low

  * Merge with Debian; remaining changes:
    - Build from the upstream source.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Jun 2013 15:00:49 +0200

binutils (2.23.52.20130611-1) unstable; urgency=low

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Tue, 11 Jun 2013 14:53:06 +0200

binutils (2.23.52.20130522-1) experimental; urgency=low

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Wed, 22 May 2013 16:22:04 +0200

binutils (2.23.2-2ubuntu3) saucy; urgency=low

  * debian/tests/control: Add a Depends: field as "@" does not work for this
    package (binutils-hppa64 cannot be installed on other architectures).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 05 Jun 2013 07:12:42 +0200

binutils (2.23.2-2ubuntu2) saucy; urgency=low

  * Fix wrong syntax in debian/tests/control that's causing autopkgtest
    failures.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 04 Jun 2013 07:50:53 -0700

binutils (2.23.2-2ubuntu1) raring; urgency=low

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Build binutils-static and binutils-static-udeb packages.
    - Add simple rebuild autopkgtest.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 16 Apr 2013 02:57:24 +0200

binutils (2.23.2-2) experimental; urgency=low

  * Add support for Cortex-A53 / Cortex-A57.


=== debian/changelog ===
binutils-arm64-cross (0.11) trusty; urgency=low

  * Build-depend on binutils-source (>= 2.14-1~).

 -- Matthias Klose <doko@ubuntu.com>  Mon, 02 Dec 2013 13:42:07 +0100

binutils-arm64-cross (0.10) trusty; urgency=low

  * Build-depend on binutils-source (>= 2.23.52.20130913-0~).

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Nov 2013 19:43:58 +0100

=== binutils-2.23.90.20131116/debian/control ===
Source: binutils
Section: devel
Priority: optional
Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
Uploaders: James Troup <james@nocrew.org>, Daniel Jacobowitz <dan@debian.org>
Standards-Version: 3.9.4
Build-Depends: dpkg-dev (>= 1.13.9), autoconf (>= 2.64),
  bison, flex, gettext, texinfo, dejagnu (>= 1.4.2-1.1), quilt,
  python3, file, xz-utils, lsb-release, zlib1g-dev
XS-Testsuite: autopkgtest

Package: binutils-aarch64-linux-gnu
Architecture: any
Depends: binutils, ${shlibs:Depends}
Suggests: binutils-doc (= ${Source-Version})
Priority: extra
Description: GNU binary utilities, for aarch64-linux-gnu target
 This package provides GNU assembler, linker and binary utilities
 for aarch64-linux-gnu target, for use in a cross-compilation environment.
 .
 You don't need this package unless you plan to cross-compile programs
 for aarch64-linux-gnu.

=== debian/control ===
Source: binutils-arm64-cross
Section: devel
Priority: extra
Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
Standards-Version: 3.9.3
Build-Depends: dpkg-dev (>= 1.13.9), autoconf (>= 2.64), bison, flex, gettext,
  texinfo, dejagnu (>= 1.4.2-1.1), quilt, file, xz-utils, lsb-release,
  zlib1g-dev,
  binutils-source (>= 2.24-1~)
Vcs-Browser: http://git.linaro.org/gitweb?p=people/hrw/cross-toolchain-packaging.git;a=shortlog;h=refs/heads/debian/experimental/arm64-cross-toolchain-base
Vcs-git: git://git.linaro.org/people/hrw/cross-toolchain-packaging.git

Package: binutils-aarch64-linux-gnu
Architecture: amd64 i386
Depends: binutils, ${shlibs:Depends}, ${misc:Depends}
Description: The GNU binary utilities, for aarch64-linux-gnu target
 This package provides GNU assembler, linker and binary utilities
 for aarch64-linux-gnu target, for use in a cross-compilation environment.
 .
 You don't need this package unless you plan to cross-compile programs
 for aarch64-linux-gnu.

=== binutils-2.23.90.20131116/debian/rules ===
#!/usr/bin/make -f
# debian/rules file - for binutils (2.20)
# Based on sample debian/rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# Copyright 1998-2007 James Troup.
# Portions Copyright 2008-2012 Canonical Ltd.
# Portions Copyright 2008-2012 Matthias Klose.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

################################################################################

p_bin = binutils
p_dev = $(p_bin)-dev
p_mul = $(p_bin)-multiarch
p_doc = $(p_bin)-doc
p_hppa64 = $(p_bin)-hppa64
p_spu = $(p_bin)-spu
p_src = $(p_bin)-source
p_static = $(p_bin)-static
p_udeb = $(p_static)-udeb

# BACKPORT is used for cross builds for a -source package not conflicting
# with the source package of the native package.
ifeq ($(BACKPORT),true)
  p_src = $(p_bin)-$(VERSION)-source
else
  p_src = $(p_bin)-source
endif

pwd   := $(shell pwd)
d     = debian/tmp
d_bin = $(d)
d_dev = debian/$(p_dev)
d_mul = debian/$(p_mul)
d_doc = debian/$(p_doc)
d_hppa64 = debian/$(p_hppa64)
d_spu = debian/$(p_spu)
d_src = debian/$(p_src)
d_static = debian/$(p_static)
d_udeb = debian/$(p_udeb)

install_dir    = install -d -m 755
install_file   = install -m 644
install_script = install -m 755
install_binary = install -m 755 -s

vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))
DPKG_VARS := $(shell dpkg-architecture)
DEB_BUILD_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH		?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH)
DEB_HOST_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_GNU_TYPE)
DEB_HOST_MULTIARCH	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_MULTIARCH)

# If $(TARGET) is not set, try reading debian/target
ifeq (,$(TARGET))
  ifneq (,$(wildcard debian/target))
    TARGET := $(shell cat debian/target 2>/dev/null)
  endif
endif

ifneq (,$(TARGET))
  # Support TARGET both as Debian architecture specification (e.g. arm),
  # and as the target name (e.g. arm-linux-gnu).
  try_convert := $(shell dpkg-architecture -f -a$(TARGET) -qDEB_HOST_GNU_TYPE 2>/dev/null)
  ifneq ($(try_convert),)
    override TARGET := $(try_convert)
  endif
  DPKG_TARGET_VARS := $(shell dpkg-architecture -f -t$(TARGET))
  DEB_TARGET_MULTIARCH = $(call vafilt,$(DPKG_TARGET_VARS),DEB_HOST_MULTIARCH)
  DEB_TARGET_ARCH      = $(call vafilt,$(DPKG_TARGET_VARS),DEB_HOST_ARCH)
else
  DEB_TARGET_MULTIARCH = $(DEB_HOST_MULTIARCH)
  DEB_TARGET_ARCH      = $(DEB_HOST_ARCH)
endif

ifneq (,$(TARGET))
  APPEND_TOOLLIBDIR=yes
  export APPEND_TOOLLIBDIR
endif

ifeq (,$(DEB_HOST_MULTIARCH))
  ifeq ($(DEB_HOST_ARCH),i386)
    DEB_HOST_MULTIARCH = i386-linux-gnu
  else
    DEB_HOST_MULTIARCH = $(DEB_HOST_GNU_TYPE)
  endif
endif

SHELL  = /bin/bash

ifneq (,$(filter $(DEB_HOST_ARCH), amd64 armel armhf i386 powerpc powerpcspe ppc64 ppc64el sparc sparc64 x32))
  with_gold = yes
  gold_provides = -Vgold:Provides=binutils-gold
endif

with_multiarch := yes
with_static := yes

CC     = gcc
CXX    = g++
CFLAGS = -g -O2 -Wno-format-security
STRIP  = strip --remove-section=.comment --remove-section=.note
CROSS :=
ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
  CROSS := $(DEB_HOST_GNU_TYPE)-
  CC   = $(CROSS)gcc
  CXX  = $(CROSS)g++
  STRIP= $(CURDIR)/debian/strip.cross
  install_binary = install -m 755 -s --strip-program="$(STRIP)"
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS = -g -O0
endif

# this outputs 0 or 1 depending on whether a macro appears in the *default* cpp
# -dM -P output; this is used to test the toolchain *default* configuration
check_cpp = $(shell $(CROSS)cpp -dM -P /dev/null | grep -q '^\#define $(1)' && echo 1 || echo 0)

# testsuite doesn't expect to be built with -mthumb
# TODO if the testsuite is only broken with Thumb-2 (and not with "Thumb-1"),
# we should test for __thumb2__ instead
ifneq (,$(filter $(DEB_HOST_ARCH), armel armhf))
  ifeq ($(call check_cpp,__thumb__),1)
    CFLAGS += -marm
  endif
endif

SPACE = $(EMPTY) $(EMPTY)
COMMA = ,
CHANGELOG_VARS := $(shell dpkg-parsechangelog | \
        sed -n 's/ /_/g;/^[^_]/s/^\([^:]*\):_\(.*\)/\1=\2/p')

DEB_VERSION	:= $(call vafilt,$(CHANGELOG_VARS),Version)
DEB_SVERSION	:= $(shell echo $(DEB_VERSION) | sed 's/+b[0-9][0-9]*$$//')
DEB_UPSTREAM	:= $(firstword $(subst -,$(SPACE),$(DEB_VERSION)))

VERSION		:= $(shell sed -n 's/^ *VERSION=\(.*\)/\1/p' bfd/configure | head -1 | tr -d \')
DATE		:= $(shell sed -n 's/.* \([0-9]*\)$$/\1/p' bfd/version.h)
ifneq (,$(DATE))
  DATE_EXT	:= .$(DATE)
endif

ifneq ($(DEB_UPSTREAM),$(VERSION)$(DATE_EXT))
  $(error upstream ($(DEB_UPSTREAM)) and debian ($(VERSION)$(DATE_EXT)) version mismatch)
endif

STATIC_UDEB   = $(p_udeb)_$(DEB_VERSION)_$(DEB_HOST_ARCH).udeb

SINGLE_VERSION= $(VERSION)-system
MULTI_VERSION = $(VERSION)-multiarch
HPPA64_VERSION= $(VERSION)-hppa64
SPU_VERSION   = $(VERSION)-spu

DISTRIBUTION := $(shell lsb_release -is)
NJOBS =
# Support parallel=<n> in DEB_BUILD_OPTIONS (see #209008)
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
  NJOBS := -j $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif
ifneq (,$(findstring nogold,$(DEB_BUILD_OPTIONS)))
  with_gold = disabled in DEB_BUILD_OPTIONS
endif
ifneq (,$(findstring nostat,$(DEB_BUILD_OPTIONS)))
  with_static = disabled in DEB_BUILD_OPTIONS
endif
ifneq (,$(findstring nomult,$(DEB_BUILD_OPTIONS)))
  with_multiarch = disabled in DEB_BUILD_OPTIONS
endif

# PF is the installation prefix for the package without the leading slash.
# It's "usr" for gcc releases, so use this if not explicitly set
ifeq ($(PF),)
  PF = usr
endif

# Don't include docs with GFDL invariant sections
GFDL_INVARIANT_FREE := yes
ifeq ($(distribution),Ubuntu)
  GFDL_INVARIANT_FREE := no
endif

gfdl_toplevel_texinfo_files = \
	bfd/doc/bfd.texinfo \
	bfd/doc/bfdint.texi \
	ld/ldint.texinfo

gfdl_generated_files = \
	bfd/doc/bfd.info

########################################

CONFARGS = \
	--enable-shared \
	--enable-plugins \
	--prefix=/$(PF) \
	--build=$(DEB_BUILD_GNU_TYPE) \
	--host=$(DEB_HOST_GNU_TYPE) \
	--with-pkgversion="GNU Binutils for $(DISTRIBUTION)"

ifeq ($(DEB_TARGET_MULTIARCH),x86_64-linux-gnu)
  DEB_TARGET_MULTIARCH32 = i386-linux-gnu
  DEB_TARGET_MULTIARCHX32 = x86_64-linux-gnux32
else ifeq ($(DEB_TARGET_MULTIARCH),x86_64-linux-gnux32)
  DEB_TARGET_MULTIARCH32 = i386-linux-gnu
  DEB_TARGET_MULTIARCH64 = x86_64-linux-gnu
else ifeq ($(DEB_TARGET_MULTIARCH),powerpc64-linux-gnu)
  DEB_TARGET_MULTIARCH32 = powerpc-linux-gnu
else ifeq ($(DEB_TARGET_MULTIARCH),s390x-linux-gnu)
  DEB_TARGET_MULTIARCH32 = s390-linux-gnu
else ifeq ($(DEB_TARGET_MULTIARCH),sparc64-linux-gnu)
  DEB_TARGET_MULTIARCH32 = sparc-linux-gnu
else ifeq ($(DEB_TARGET_MULTIARCH),x86_64-kfreebsd-gnu)
  DEB_TARGET_MULTIARCH32 = i386-kfreebsd-gnu
else ifeq ($(DEB_TARGET_MULTIARCH),i386-linux-gnu)
  DEB_TARGET_MULTIARCH64 = x86_64-linux-gnu
  DEB_TARGET_MULTIARCHX32 = x86_64-linux-gnux32
else ifeq ($(DEB_TARGET_MULTIARCH),powerpc-linux-gnu)
  DEB_TARGET_MULTIARCH64 = powerpc64-linux-gnu
else ifeq ($(DEB_TARGET_MULTIARCH),sparc-linux-gnu)
  DEB_TARGET_MULTIARCH64 = sparc64-linux-gnu
else ifeq ($(DEB_TARGET_MULTIARCH),s390-linux-gnu)
  DEB_TARGET_MULTIARCH64 = s390x-linux-gnu
else ifeq ($(DEB_TARGET_MULTIARCH),i386-kfreebsd-gnu)
  DEB_TARGET_MULTIARCH64 = x86_64-kfreebsd-gnu
else ifeq ($(DEB_TARGET_MULTIARCH),mips-linux-gnu)
  DEB_TARGET_MULTIARCH64 = mips64-linux-gnuabi64
  DEB_TARGET_MULTIARCHN32 = mips64-linux-gnuabin32
else ifeq ($(DEB_TARGET_MULTIARCH),mipsel-linux-gnu)
  DEB_TARGET_MULTIARCH64 = mips64el-linux-gnuabi64
  DEB_TARGET_MULTIARCHN32 = mips64el-linux-gnuabin32
else ifeq ($(DEB_TARGET_MULTIARCH),mips64-linux-gnuabin32)
  DEB_TARGET_MULTIARCH64 = mips64-linux-gnuabi64
  DEB_TARGET_MULTIARCH32 = mips-linux-gnu
